 /********************************************************************/
 /*                                                                  */
 /*                  WebSphere MQ for Windows                        */
 /*                                                                  */
 /*  FILE NAME:      CMQP                                            */
 /*                                                                  */
 /*  DESCRIPTION:    Structures and Constants for Main MQI           */
 /*                                                                  */
 /********************************************************************/
 /*  @START_COPYRIGHT@                                               */
 /*  Licensed Materials - Property of IBM                            */
 /*                                                                  */
 /*  5724-B41                                                        */
 /*                                                                  */
 /*  (C) Copyright IBM Corporation 1993, 2002.                       */
 /*                                                                  */
 /*  Status: Version 5 Release 3                                     */
 /*  @END_COPYRIGHT@                                                 */
 /********************************************************************/
 /*                                                                  */
 /*  FUNCTION:       This file declares the structures and           */
 /*                  named constants for the main MQI.               */
 /*                                                                  */
 /*  PROCESSOR:      PL/I                                            */
 /*                                                                  */
 /********************************************************************/
                                                                       
 /********************************************************************/
 /*  Values Related to MQAIR Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQAIR_STRUC_ID char;
 %MQAIR_STRUC_ID = '''AIR ''';
                                                                       
 /* Structure Version Number */
 %dcl MQAIR_VERSION_1       char;
 %dcl MQAIR_CURRENT_VERSION char;
 %MQAIR_VERSION_1       = '1';
 %MQAIR_CURRENT_VERSION = '1';
                                                                       
 /* Authentication Information Type */
 %dcl MQAIT_CRL_LDAP char;
 %MQAIT_CRL_LDAP = '1';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQBO Structure                                */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQBO_STRUC_ID char;
 %MQBO_STRUC_ID = '''BO  ''';
                                                                       
 /* Structure Version Number */
 %dcl MQBO_VERSION_1       char;
 %dcl MQBO_CURRENT_VERSION char;
 %MQBO_VERSION_1       = '1';
 %MQBO_CURRENT_VERSION = '1';
                                                                       
 /* Begin Options */
 %dcl MQBO_NONE char;
 %MQBO_NONE = '0';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQCIH Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQCIH_STRUC_ID char;
 %MQCIH_STRUC_ID = '''CIH ''';
                                                                       
 /* Structure Version Number */
 %dcl MQCIH_VERSION_1       char;
 %dcl MQCIH_VERSION_2       char;
 %dcl MQCIH_CURRENT_VERSION char;
 %MQCIH_VERSION_1       = '1';
 %MQCIH_VERSION_2       = '2';
 %MQCIH_CURRENT_VERSION = '2';
                                                                       
 /* Structure Length */
 %dcl MQCIH_LENGTH_1       char;
 %dcl MQCIH_LENGTH_2       char;
 %dcl MQCIH_CURRENT_LENGTH char;
 %MQCIH_LENGTH_1       = '164';
 %MQCIH_LENGTH_2       = '180';
 %MQCIH_CURRENT_LENGTH = '180';
                                                                       
 /* Flags */
 %dcl MQCIH_NONE char;
 %MQCIH_NONE = '0';
                                                                       
 /* Return Code */
 %dcl MQCRC_OK                    char;
 %dcl MQCRC_CICS_EXEC_ERROR       char;
 %dcl MQCRC_MQ_API_ERROR          char;
 %dcl MQCRC_BRIDGE_ERROR          char;
 %dcl MQCRC_BRIDGE_ABEND          char;
 %dcl MQCRC_APPLICATION_ABEND     char;
 %dcl MQCRC_SECURITY_ERROR        char;
 %dcl MQCRC_PROGRAM_NOT_AVAILABLE char;
 %dcl MQCRC_BRIDGE_TIMEOUT        char;
 %dcl MQCRC_TRANSID_NOT_AVAILABLE char;
 %MQCRC_OK                    = '0';
 %MQCRC_CICS_EXEC_ERROR       = '1';
 %MQCRC_MQ_API_ERROR          = '2';
 %MQCRC_BRIDGE_ERROR          = '3';
 %MQCRC_BRIDGE_ABEND          = '4';
 %MQCRC_APPLICATION_ABEND     = '5';
 %MQCRC_SECURITY_ERROR        = '6';
 %MQCRC_PROGRAM_NOT_AVAILABLE = '7';
 %MQCRC_BRIDGE_TIMEOUT        = '8';
 %MQCRC_TRANSID_NOT_AVAILABLE = '9';
                                                                       
 /* Unit of Work Control */
 %dcl MQCUOWC_ONLY     char;
 %dcl MQCUOWC_CONTINUE char;
 %dcl MQCUOWC_FIRST    char;
 %dcl MQCUOWC_MIDDLE   char;
 %dcl MQCUOWC_LAST     char;
 %dcl MQCUOWC_COMMIT   char;
 %dcl MQCUOWC_BACKOUT  char;
 %MQCUOWC_ONLY     = '273';
 %MQCUOWC_CONTINUE = '65536';
 %MQCUOWC_FIRST    = '17';
 %MQCUOWC_MIDDLE   = '16';
 %MQCUOWC_LAST     = '272';
 %MQCUOWC_COMMIT   = '256';
 %MQCUOWC_BACKOUT  = '4352';
                                                                       
 /* Get Wait Interval */
 %dcl MQCGWI_DEFAULT char;
 %MQCGWI_DEFAULT = '-2';
                                                                       
 /* Link Type */
 %dcl MQCLT_PROGRAM     char;
 %dcl MQCLT_TRANSACTION char;
 %MQCLT_PROGRAM     = '1';
 %MQCLT_TRANSACTION = '2';
                                                                       
 /* Output Data Length */
 %dcl MQCODL_AS_INPUT char;
 %MQCODL_AS_INPUT = '-1';
                                                                       
 /* ADS Descriptor */
 %dcl MQCADSD_NONE      char;
 %dcl MQCADSD_SEND      char;
 %dcl MQCADSD_RECV      char;
 %dcl MQCADSD_MSGFORMAT char;
 %MQCADSD_NONE      = '0';
 %MQCADSD_SEND      = '1';
 %MQCADSD_RECV      = '16';
 %MQCADSD_MSGFORMAT = '256';
                                                                       
 /* Conversational Task */
 %dcl MQCCT_YES char;
 %dcl MQCCT_NO  char;
 %MQCCT_YES = '1';
 %MQCCT_NO  = '0';
                                                                       
 /* Task End Status */
 %dcl MQCTES_NOSYNC  char;
 %dcl MQCTES_COMMIT  char;
 %dcl MQCTES_BACKOUT char;
 %dcl MQCTES_ENDTASK char;
 %MQCTES_NOSYNC  = '0';
 %MQCTES_COMMIT  = '256';
 %MQCTES_BACKOUT = '4352';
 %MQCTES_ENDTASK = '65536';
                                                                       
 /* Facility */
 %dcl MQCFAC_NONE char;
 %MQCFAC_NONE = '''0000000000000000''X';
                                                                       
 /* Function */
 %dcl MQCFUNC_MQCONN char;
 %dcl MQCFUNC_MQGET  char;
 %dcl MQCFUNC_MQINQ  char;
 %dcl MQCFUNC_MQOPEN char;
 %dcl MQCFUNC_MQPUT  char;
 %dcl MQCFUNC_MQPUT1 char;
 %dcl MQCFUNC_NONE   char;
 %MQCFUNC_MQCONN = '''CONN''';
 %MQCFUNC_MQGET  = '''GET ''';
 %MQCFUNC_MQINQ  = '''INQ ''';
 %MQCFUNC_MQOPEN = '''OPEN''';
 %MQCFUNC_MQPUT  = '''PUT ''';
 %MQCFUNC_MQPUT1 = '''PUT1''';
 %MQCFUNC_NONE   = '''    ''';
                                                                       
 /* Start Code */
 %dcl MQCSC_START     char;
 %dcl MQCSC_STARTDATA char;
 %dcl MQCSC_TERMINPUT char;
 %dcl MQCSC_NONE      char;
 %MQCSC_START     = '''S   ''';
 %MQCSC_STARTDATA = '''SD  ''';
 %MQCSC_TERMINPUT = '''TD  ''';
 %MQCSC_NONE      = '''    ''';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQCNO Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQCNO_STRUC_ID char;
 %MQCNO_STRUC_ID = '''CNO ''';
                                                                       
 /* Structure Version Number */
 %dcl MQCNO_VERSION_1       char;
 %dcl MQCNO_VERSION_2       char;
 %dcl MQCNO_VERSION_3       char;
 %dcl MQCNO_VERSION_4       char;
 %dcl MQCNO_CURRENT_VERSION char;
 %MQCNO_VERSION_1       = '1';
 %MQCNO_VERSION_2       = '2';
 %MQCNO_VERSION_3       = '3';
 %MQCNO_VERSION_4       = '4';
 %MQCNO_CURRENT_VERSION = '4';
                                                                       
 /* Connect Options */
 %dcl MQCNO_STANDARD_BINDING      char;
 %dcl MQCNO_FASTPATH_BINDING      char;
 %dcl MQCNO_HANDLE_SHARE_NONE     char;
 %dcl MQCNO_HANDLE_SHARE_BLOCK    char;
 %dcl MQCNO_HANDLE_SHARE_NO_BLOCK char;
 %dcl MQCNO_NONE                  char;
 %MQCNO_STANDARD_BINDING      = '0';
 %MQCNO_FASTPATH_BINDING      = '1';
 %MQCNO_HANDLE_SHARE_NONE     = '32';
 %MQCNO_HANDLE_SHARE_BLOCK    = '64';
 %MQCNO_HANDLE_SHARE_NO_BLOCK = '128';
 %MQCNO_NONE                  = '0';
                                                                       
 /* Queue-Manager Connection Tag */
 %dcl MQCT_NONE char;
 %MQCT_NONE = '''000000000000000000000000000000000000000000' ||
                '0000000000000000000000000000000000000000000' ||
                '0000000000000000000000000000000000000000000' ||
                '0000000000000000000000000000000000000000000' ||
                '0000000000000000000000000000000000000000000' ||
                '000000000000000000000000000000000000000000''X';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQDH Structure                                */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQDH_STRUC_ID char;
 %MQDH_STRUC_ID = '''DH  ''';
                                                                       
 /* Structure Version Number */
 %dcl MQDH_VERSION_1       char;
 %dcl MQDH_CURRENT_VERSION char;
 %MQDH_VERSION_1       = '1';
 %MQDH_CURRENT_VERSION = '1';
                                                                       
 /* General Flags */
 %dcl MQDHF_NEW_MSG_IDS char;
 %dcl MQDHF_NONE        char;
 %MQDHF_NEW_MSG_IDS = '1';
 %MQDHF_NONE        = '0';
                                                                       
 /* Put Message Record Flags */
 /* See values for "Put Message Record Fields" under MQPMO */
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQDLH Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQDLH_STRUC_ID char;
 %MQDLH_STRUC_ID = '''DLH ''';
                                                                       
 /* Structure Version Number */
 %dcl MQDLH_VERSION_1       char;
 %dcl MQDLH_CURRENT_VERSION char;
 %MQDLH_VERSION_1       = '1';
 %MQDLH_CURRENT_VERSION = '1';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQGMO Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQGMO_STRUC_ID char;
 %MQGMO_STRUC_ID = '''GMO ''';
                                                                       
 /* Structure Version Number */
 %dcl MQGMO_VERSION_1       char;
 %dcl MQGMO_VERSION_2       char;
 %dcl MQGMO_VERSION_3       char;
 %dcl MQGMO_CURRENT_VERSION char;
 %MQGMO_VERSION_1       = '1';
 %MQGMO_VERSION_2       = '2';
 %MQGMO_VERSION_3       = '3';
 %MQGMO_CURRENT_VERSION = '3';
                                                                       
 /* Get-Message Options */
 %dcl MQGMO_WAIT                    char;
 %dcl MQGMO_NO_WAIT                 char;
 %dcl MQGMO_SET_SIGNAL              char;
 %dcl MQGMO_FAIL_IF_QUIESCING       char;
 %dcl MQGMO_SYNCPOINT               char;
 %dcl MQGMO_SYNCPOINT_IF_PERSISTENT char;
 %dcl MQGMO_NO_SYNCPOINT            char;
 %dcl MQGMO_MARK_SKIP_BACKOUT       char;
 %dcl MQGMO_BROWSE_FIRST            char;
 %dcl MQGMO_BROWSE_NEXT             char;
 %dcl MQGMO_BROWSE_MSG_UNDER_CURSOR char;
 %dcl MQGMO_MSG_UNDER_CURSOR        char;
 %dcl MQGMO_LOCK                    char;
 %dcl MQGMO_UNLOCK                  char;
 %dcl MQGMO_ACCEPT_TRUNCATED_MSG    char;
 %dcl MQGMO_CONVERT                 char;
 %dcl MQGMO_LOGICAL_ORDER           char;
 %dcl MQGMO_COMPLETE_MSG            char;
 %dcl MQGMO_ALL_MSGS_AVAILABLE      char;
 %dcl MQGMO_ALL_SEGMENTS_AVAILABLE  char;
 %dcl MQGMO_NONE                    char;
 %MQGMO_WAIT                    = '1';
 %MQGMO_NO_WAIT                 = '0';
 %MQGMO_SET_SIGNAL              = '8';
 %MQGMO_FAIL_IF_QUIESCING       = '8192';
 %MQGMO_SYNCPOINT               = '2';
 %MQGMO_SYNCPOINT_IF_PERSISTENT = '4096';
 %MQGMO_NO_SYNCPOINT            = '4';
 %MQGMO_MARK_SKIP_BACKOUT       = '128';
 %MQGMO_BROWSE_FIRST            = '16';
 %MQGMO_BROWSE_NEXT             = '32';
 %MQGMO_BROWSE_MSG_UNDER_CURSOR = '2048';
 %MQGMO_MSG_UNDER_CURSOR        = '256';
 %MQGMO_LOCK                    = '512';
 %MQGMO_UNLOCK                  = '1024';
 %MQGMO_ACCEPT_TRUNCATED_MSG    = '64';
 %MQGMO_CONVERT                 = '16384';
 %MQGMO_LOGICAL_ORDER           = '32768';
 %MQGMO_COMPLETE_MSG            = '65536';
 %MQGMO_ALL_MSGS_AVAILABLE      = '131072';
 %MQGMO_ALL_SEGMENTS_AVAILABLE  = '262144';
 %MQGMO_NONE                    = '0';
                                                                       
 /* Wait Interval */
 %dcl MQWI_UNLIMITED char;
 %MQWI_UNLIMITED = '-1';
                                                                       
 /* Signal Values */
 %dcl MQEC_MSG_ARRIVED           char;
 %dcl MQEC_WAIT_INTERVAL_EXPIRED char;
 %dcl MQEC_WAIT_CANCELED         char;
 %dcl MQEC_Q_MGR_QUIESCING       char;
 %dcl MQEC_CONNECTION_QUIESCING  char;
 %MQEC_MSG_ARRIVED           = '2';
 %MQEC_WAIT_INTERVAL_EXPIRED = '3';
 %MQEC_WAIT_CANCELED         = '4';
 %MQEC_Q_MGR_QUIESCING       = '5';
 %MQEC_CONNECTION_QUIESCING  = '6';
                                                                       
 /* Match Options */
 %dcl MQMO_MATCH_MSG_ID         char;
 %dcl MQMO_MATCH_CORREL_ID      char;
 %dcl MQMO_MATCH_GROUP_ID       char;
 %dcl MQMO_MATCH_MSG_SEQ_NUMBER char;
 %dcl MQMO_MATCH_OFFSET         char;
 %dcl MQMO_MATCH_MSG_TOKEN      char;
 %dcl MQMO_NONE                 char;
 %MQMO_MATCH_MSG_ID         = '1';
 %MQMO_MATCH_CORREL_ID      = '2';
 %MQMO_MATCH_GROUP_ID       = '4';
 %MQMO_MATCH_MSG_SEQ_NUMBER = '8';
 %MQMO_MATCH_OFFSET         = '16';
 %MQMO_MATCH_MSG_TOKEN      = '32';
 %MQMO_NONE                 = '0';
                                                                       
 /* Group Status */
 %dcl MQGS_NOT_IN_GROUP      char;
 %dcl MQGS_MSG_IN_GROUP      char;
 %dcl MQGS_LAST_MSG_IN_GROUP char;
 %MQGS_NOT_IN_GROUP      = ''' ''';
 %MQGS_MSG_IN_GROUP      = '''G''';
 %MQGS_LAST_MSG_IN_GROUP = '''L''';
                                                                       
 /* Segment Status */
 %dcl MQSS_NOT_A_SEGMENT char;
 %dcl MQSS_SEGMENT       char;
 %dcl MQSS_LAST_SEGMENT  char;
 %MQSS_NOT_A_SEGMENT = ''' ''';
 %MQSS_SEGMENT       = '''S''';
 %MQSS_LAST_SEGMENT  = '''L''';
                                                                       
 /* Segmentation */
 %dcl MQSEG_INHIBITED char;
 %dcl MQSEG_ALLOWED   char;
 %MQSEG_INHIBITED = ''' ''';
 %MQSEG_ALLOWED   = '''A''';
                                                                       
 /* Message Token */
 %dcl MQMTOK_NONE char;
 %MQMTOK_NONE = '''00000000000000000000000000000000''X';
                                                                       
 /* Returned Length */
 %dcl MQRL_UNDEFINED char;
 %MQRL_UNDEFINED = '-1';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQIIH Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQIIH_STRUC_ID char;
 %MQIIH_STRUC_ID = '''IIH ''';
                                                                       
 /* Structure Version Number */
 %dcl MQIIH_VERSION_1       char;
 %dcl MQIIH_CURRENT_VERSION char;
 %MQIIH_VERSION_1       = '1';
 %MQIIH_CURRENT_VERSION = '1';
                                                                       
 /* Structure Length */
 %dcl MQIIH_LENGTH_1 char;
 %MQIIH_LENGTH_1 = '84';
                                                                       
 /* Flags */
 %dcl MQIIH_NONE char;
 %MQIIH_NONE = '0';
                                                                       
 /* Authenticator */
 %dcl MQIAUT_NONE char;
 %MQIAUT_NONE = '''        ''';
                                                                       
 /* Transaction Instance Identifier */
 %dcl MQITII_NONE char;
 %MQITII_NONE = '''00000000000000000000000000000000''X';
                                                                       
 /* Transaction State */
 %dcl MQITS_IN_CONVERSATION     char;
 %dcl MQITS_NOT_IN_CONVERSATION char;
 %dcl MQITS_ARCHITECTED         char;
 %MQITS_IN_CONVERSATION     = '''C''';
 %MQITS_NOT_IN_CONVERSATION = ''' ''';
 %MQITS_ARCHITECTED         = '''A''';
                                                                       
 /* Commit Mode */
 %dcl MQICM_COMMIT_THEN_SEND char;
 %dcl MQICM_SEND_THEN_COMMIT char;
 %MQICM_COMMIT_THEN_SEND = '''0''';
 %MQICM_SEND_THEN_COMMIT = '''1''';
                                                                       
 /* Security Scope */
 %dcl MQISS_CHECK char;
 %dcl MQISS_FULL  char;
 %MQISS_CHECK = '''C''';
 %MQISS_FULL  = '''F''';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQMD Structure                                */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQMD_STRUC_ID char;
 %MQMD_STRUC_ID = '''MD  ''';
                                                                       
 /* Structure Version Number */
 %dcl MQMD_VERSION_1       char;
 %dcl MQMD_VERSION_2       char;
 %dcl MQMD_CURRENT_VERSION char;
 %MQMD_VERSION_1       = '1';
 %MQMD_VERSION_2       = '2';
 %MQMD_CURRENT_VERSION = '2';
                                                                       
 /* Report Options */
 %dcl MQRO_EXCEPTION                 char;
 %dcl MQRO_EXCEPTION_WITH_DATA       char;
 %dcl MQRO_EXCEPTION_WITH_FULL_DATA  char;
 %dcl MQRO_EXPIRATION                char;
 %dcl MQRO_EXPIRATION_WITH_DATA      char;
 %dcl MQRO_EXPIRATION_WITH_FULL_DATA char;
 %dcl MQRO_COA                       char;
 %dcl MQRO_COA_WITH_DATA             char;
 %dcl MQRO_COA_WITH_FULL_DATA        char;
 %dcl MQRO_COD                       char;
 %dcl MQRO_COD_WITH_DATA             char;
 %dcl MQRO_COD_WITH_FULL_DATA        char;
 %dcl MQRO_PAN                       char;
 %dcl MQRO_NAN                       char;
 %dcl MQRO_NEW_MSG_ID                char;
 %dcl MQRO_PASS_MSG_ID               char;
 %dcl MQRO_COPY_MSG_ID_TO_CORREL_ID  char;
 %dcl MQRO_PASS_CORREL_ID            char;
 %dcl MQRO_DEAD_LETTER_Q             char;
 %dcl MQRO_DISCARD_MSG               char;
 %dcl MQRO_NONE                      char;
 %MQRO_EXCEPTION                 = '16777216';
 %MQRO_EXCEPTION_WITH_DATA       = '50331648';
 %MQRO_EXCEPTION_WITH_FULL_DATA  = '117440512';
 %MQRO_EXPIRATION                = '2097152';
 %MQRO_EXPIRATION_WITH_DATA      = '6291456';
 %MQRO_EXPIRATION_WITH_FULL_DATA = '14680064';
 %MQRO_COA                       = '256';
 %MQRO_COA_WITH_DATA             = '768';
 %MQRO_COA_WITH_FULL_DATA        = '1792';
 %MQRO_COD                       = '2048';
 %MQRO_COD_WITH_DATA             = '6144';
 %MQRO_COD_WITH_FULL_DATA        = '14336';
 %MQRO_PAN                       = '1';
 %MQRO_NAN                       = '2';
 %MQRO_NEW_MSG_ID                = '0';
 %MQRO_PASS_MSG_ID               = '128';
 %MQRO_COPY_MSG_ID_TO_CORREL_ID  = '0';
 %MQRO_PASS_CORREL_ID            = '64';
 %MQRO_DEAD_LETTER_Q             = '0';
 %MQRO_DISCARD_MSG               = '134217728';
 %MQRO_NONE                      = '0';
                                                                       
 /* Report Options Masks */
 %dcl MQRO_REJECT_UNSUP_MASK         char;
 %dcl MQRO_ACCEPT_UNSUP_MASK         char;
 %dcl MQRO_ACCEPT_UNSUP_IF_XMIT_MASK char;
 %MQRO_REJECT_UNSUP_MASK         = '270270464';
 %MQRO_ACCEPT_UNSUP_MASK         = '-270532353';
 %MQRO_ACCEPT_UNSUP_IF_XMIT_MASK = '261888';
                                                                       
 /* Message Types */
 %dcl MQMT_SYSTEM_FIRST        char;
 %dcl MQMT_REQUEST             char;
 %dcl MQMT_REPLY               char;
 %dcl MQMT_DATAGRAM            char;
 %dcl MQMT_REPORT              char;
 %dcl MQMT_MQE_FIELDS_FROM_MQE char;
 %dcl MQMT_MQE_FIELDS          char;
 %dcl MQMT_SYSTEM_LAST         char;
 %dcl MQMT_APPL_FIRST          char;
 %dcl MQMT_APPL_LAST           char;
 %MQMT_SYSTEM_FIRST        = '1';
 %MQMT_REQUEST             = '1';
 %MQMT_REPLY               = '2';
 %MQMT_DATAGRAM            = '8';
 %MQMT_REPORT              = '4';
 %MQMT_MQE_FIELDS_FROM_MQE = '112';
 %MQMT_MQE_FIELDS          = '113';
 %MQMT_SYSTEM_LAST         = '65535';
 %MQMT_APPL_FIRST          = '65536';
 %MQMT_APPL_LAST           = '999999999';
                                                                       
 /* Expiry */
 %dcl MQEI_UNLIMITED char;
 %MQEI_UNLIMITED = '-1';
                                                                       
 /* Feedback Values */
 %dcl MQFB_NONE                   char;
 %dcl MQFB_SYSTEM_FIRST           char;
 %dcl MQFB_QUIT                   char;
 %dcl MQFB_EXPIRATION             char;
 %dcl MQFB_COA                    char;
 %dcl MQFB_COD                    char;
 %dcl MQFB_CHANNEL_COMPLETED      char;
 %dcl MQFB_CHANNEL_FAIL_RETRY     char;
 %dcl MQFB_CHANNEL_FAIL           char;
 %dcl MQFB_APPL_CANNOT_BE_STARTED char;
 %dcl MQFB_TM_ERROR               char;
 %dcl MQFB_APPL_TYPE_ERROR        char;
 %dcl MQFB_STOPPED_BY_MSG_EXIT    char;
 %dcl MQFB_XMIT_Q_MSG_ERROR       char;
 %dcl MQFB_PAN                    char;
 %dcl MQFB_NAN                    char;
 %dcl MQFB_STOPPED_BY_CHAD_EXIT   char;
 %dcl MQFB_STOPPED_BY_PUBSUB_EXIT char;
 %dcl MQFB_NOT_A_REPOSITORY_MSG   char;
 %dcl MQFB_BIND_OPEN_CLUSRCVR_DEL char;
 %dcl MQFB_DATA_LENGTH_ZERO       char;
 %dcl MQFB_DATA_LENGTH_NEGATIVE   char;
 %dcl MQFB_DATA_LENGTH_TOO_BIG    char;
 %dcl MQFB_BUFFER_OVERFLOW        char;
 %dcl MQFB_LENGTH_OFF_BY_ONE      char;
 %dcl MQFB_IIH_ERROR              char;
 %dcl MQFB_NOT_AUTHORIZED_FOR_IMS char;
 %dcl MQFB_IMS_ERROR              char;
 %dcl MQFB_IMS_FIRST              char;
 %dcl MQFB_IMS_LAST               char;
 %dcl MQFB_CICS_INTERNAL_ERROR    char;
 %dcl MQFB_CICS_NOT_AUTHORIZED    char;
 %dcl MQFB_CICS_BRIDGE_FAILURE    char;
 %dcl MQFB_CICS_CORREL_ID_ERROR   char;
 %dcl MQFB_CICS_CCSID_ERROR       char;
 %dcl MQFB_CICS_ENCODING_ERROR    char;
 %dcl MQFB_CICS_CIH_ERROR         char;
 %dcl MQFB_CICS_UOW_ERROR         char;
 %dcl MQFB_CICS_COMMAREA_ERROR    char;
 %dcl MQFB_CICS_APPL_NOT_STARTED  char;
 %dcl MQFB_CICS_APPL_ABENDED      char;
 %dcl MQFB_CICS_DLQ_ERROR         char;
 %dcl MQFB_CICS_UOW_BACKED_OUT    char;
 %dcl MQFB_SYSTEM_LAST            char;
 %dcl MQFB_APPL_FIRST             char;
 %dcl MQFB_APPL_LAST              char;
 %MQFB_NONE                   = '0';
 %MQFB_SYSTEM_FIRST           = '1';
 %MQFB_QUIT                   = '256';
 %MQFB_EXPIRATION             = '258';
 %MQFB_COA                    = '259';
 %MQFB_COD                    = '260';
 %MQFB_CHANNEL_COMPLETED      = '262';
 %MQFB_CHANNEL_FAIL_RETRY     = '263';
 %MQFB_CHANNEL_FAIL           = '264';
 %MQFB_APPL_CANNOT_BE_STARTED = '265';
 %MQFB_TM_ERROR               = '266';
 %MQFB_APPL_TYPE_ERROR        = '267';
 %MQFB_STOPPED_BY_MSG_EXIT    = '268';
 %MQFB_XMIT_Q_MSG_ERROR       = '271';
 %MQFB_PAN                    = '275';
 %MQFB_NAN                    = '276';
 %MQFB_STOPPED_BY_CHAD_EXIT   = '277';
 %MQFB_STOPPED_BY_PUBSUB_EXIT = '279';
 %MQFB_NOT_A_REPOSITORY_MSG   = '280';
 %MQFB_BIND_OPEN_CLUSRCVR_DEL = '281';
 %MQFB_DATA_LENGTH_ZERO       = '291';
 %MQFB_DATA_LENGTH_NEGATIVE   = '292';
 %MQFB_DATA_LENGTH_TOO_BIG    = '293';
 %MQFB_BUFFER_OVERFLOW        = '294';
 %MQFB_LENGTH_OFF_BY_ONE      = '295';
 %MQFB_IIH_ERROR              = '296';
 %MQFB_NOT_AUTHORIZED_FOR_IMS = '298';
 %MQFB_IMS_ERROR              = '300';
 %MQFB_IMS_FIRST              = '301';
 %MQFB_IMS_LAST               = '399';
 %MQFB_CICS_INTERNAL_ERROR    = '401';
 %MQFB_CICS_NOT_AUTHORIZED    = '402';
 %MQFB_CICS_BRIDGE_FAILURE    = '403';
 %MQFB_CICS_CORREL_ID_ERROR   = '404';
 %MQFB_CICS_CCSID_ERROR       = '405';
 %MQFB_CICS_ENCODING_ERROR    = '406';
 %MQFB_CICS_CIH_ERROR         = '407';
 %MQFB_CICS_UOW_ERROR         = '408';
 %MQFB_CICS_COMMAREA_ERROR    = '409';
 %MQFB_CICS_APPL_NOT_STARTED  = '410';
 %MQFB_CICS_APPL_ABENDED      = '411';
 %MQFB_CICS_DLQ_ERROR         = '412';
 %MQFB_CICS_UOW_BACKED_OUT    = '413';
 %MQFB_SYSTEM_LAST            = '65535';
 %MQFB_APPL_FIRST             = '65536';
 %MQFB_APPL_LAST              = '999999999';
                                                                       
 /* Encoding */
 %dcl MQENC_NATIVE char;
 %MQENC_NATIVE = '546';
                                                                       
 /* Encoding Masks */
 %dcl MQENC_INTEGER_MASK  char;
 %dcl MQENC_DECIMAL_MASK  char;
 %dcl MQENC_FLOAT_MASK    char;
 %dcl MQENC_RESERVED_MASK char;
 %MQENC_INTEGER_MASK  = '15';
 %MQENC_DECIMAL_MASK  = '240';
 %MQENC_FLOAT_MASK    = '3840';
 %MQENC_RESERVED_MASK = '-4096';
                                                                       
 /* Encodings for Binary Integers */
 %dcl MQENC_INTEGER_UNDEFINED char;
 %dcl MQENC_INTEGER_NORMAL    char;
 %dcl MQENC_INTEGER_REVERSED  char;
 %MQENC_INTEGER_UNDEFINED = '0';
 %MQENC_INTEGER_NORMAL    = '1';
 %MQENC_INTEGER_REVERSED  = '2';
                                                                       
 /* Encodings for Packed-Decimal Integers */
 %dcl MQENC_DECIMAL_UNDEFINED char;
 %dcl MQENC_DECIMAL_NORMAL    char;
 %dcl MQENC_DECIMAL_REVERSED  char;
 %MQENC_DECIMAL_UNDEFINED = '0';
 %MQENC_DECIMAL_NORMAL    = '16';
 %MQENC_DECIMAL_REVERSED  = '32';
                                                                       
 /* Encodings for Floating-Point Numbers */
 %dcl MQENC_FLOAT_UNDEFINED     char;
 %dcl MQENC_FLOAT_IEEE_NORMAL   char;
 %dcl MQENC_FLOAT_IEEE_REVERSED char;
 %dcl MQENC_FLOAT_S390          char;
 %MQENC_FLOAT_UNDEFINED     = '0';
 %MQENC_FLOAT_IEEE_NORMAL   = '256';
 %MQENC_FLOAT_IEEE_REVERSED = '512';
 %MQENC_FLOAT_S390          = '768';
                                                                       
 /* Coded Character-Set Identifiers */
 %dcl MQCCSI_UNDEFINED char;
 %dcl MQCCSI_DEFAULT   char;
 %dcl MQCCSI_Q_MGR     char;
 %dcl MQCCSI_INHERIT   char;
 %dcl MQCCSI_EMBEDDED  char;
 %MQCCSI_UNDEFINED = '0';
 %MQCCSI_DEFAULT   = '0';
 %MQCCSI_Q_MGR     = '0';
 %MQCCSI_INHERIT   = '-2';
 %MQCCSI_EMBEDDED  = '-1';
                                                                       
 /* Formats */
 %dcl MQFMT_NONE               char;
 %dcl MQFMT_ADMIN              char;
 %dcl MQFMT_CHANNEL_COMPLETED  char;
 %dcl MQFMT_CICS               char;
 %dcl MQFMT_COMMAND_1          char;
 %dcl MQFMT_COMMAND_2          char;
 %dcl MQFMT_DEAD_LETTER_HEADER char;
 %dcl MQFMT_DIST_HEADER        char;
 %dcl MQFMT_EVENT              char;
 %dcl MQFMT_IMS                char;
 %dcl MQFMT_IMS_VAR_STRING     char;
 %dcl MQFMT_MD_EXTENSION       char;
 %dcl MQFMT_PCF                char;
 %dcl MQFMT_REF_MSG_HEADER     char;
 %dcl MQFMT_RF_HEADER          char;
 %dcl MQFMT_RF_HEADER_2        char;
 %dcl MQFMT_STRING             char;
 %dcl MQFMT_TRIGGER            char;
 %dcl MQFMT_WORK_INFO_HEADER   char;
 %dcl MQFMT_XMIT_Q_HEADER      char;
 %MQFMT_NONE               = '''        ''';
 %MQFMT_ADMIN              = '''MQADMIN ''';
 %MQFMT_CHANNEL_COMPLETED  = '''MQCHCOM ''';
 %MQFMT_CICS               = '''MQCICS  ''';
 %MQFMT_COMMAND_1          = '''MQCMD1  ''';
 %MQFMT_COMMAND_2          = '''MQCMD2  ''';
 %MQFMT_DEAD_LETTER_HEADER = '''MQDEAD  ''';
 %MQFMT_DIST_HEADER        = '''MQHDIST ''';
 %MQFMT_EVENT              = '''MQEVENT ''';
 %MQFMT_IMS                = '''MQIMS   ''';
 %MQFMT_IMS_VAR_STRING     = '''MQIMSVS ''';
 %MQFMT_MD_EXTENSION       = '''MQHMDE  ''';
 %MQFMT_PCF                = '''MQPCF   ''';
 %MQFMT_REF_MSG_HEADER     = '''MQHREF  ''';
 %MQFMT_RF_HEADER          = '''MQHRF   ''';
 %MQFMT_RF_HEADER_2        = '''MQHRF2  ''';
 %MQFMT_STRING             = '''MQSTR   ''';
 %MQFMT_TRIGGER            = '''MQTRIG  ''';
 %MQFMT_WORK_INFO_HEADER   = '''MQHWIH  ''';
 %MQFMT_XMIT_Q_HEADER      = '''MQXMIT  ''';
                                                                       
 /* Priority */
 %dcl MQPRI_PRIORITY_AS_Q_DEF char;
 %MQPRI_PRIORITY_AS_Q_DEF = '-1';
                                                                       
 /* Persistence Values */
 %dcl MQPER_NOT_PERSISTENT       char;
 %dcl MQPER_PERSISTENT           char;
 %dcl MQPER_PERSISTENCE_AS_Q_DEF char;
 %MQPER_NOT_PERSISTENT       = '0';
 %MQPER_PERSISTENT           = '1';
 %MQPER_PERSISTENCE_AS_Q_DEF = '2';
                                                                       
 /* Message Identifier */
 %dcl MQMI_NONE char;
 %MQMI_NONE = '''000000000000000000000000000000000000000000000000''X';
                                                                       
 /* Correlation Identifier */
 %dcl MQCI_NONE        char;
 %dcl MQCI_NEW_SESSION char;
 %MQCI_NONE        = '''000000000000000000000000' ||
                       '000000000000000000000000''X';
 %MQCI_NEW_SESSION = '''414D51214E45575F53455353' ||
                       '494F4E5F434F5252454C4944''X';
                                                                       
 /* Accounting Token */
 %dcl MQACT_NONE char;
 %MQACT_NONE = '''00000000000000000000000000000000' ||
                 '00000000000000000000000000000000''X';
                                                                       
 /* Accounting Token Type */
 %dcl MQACTT_UNKNOWN             char;
 %dcl MQACTT_CICS_LUOW_ID        char;
 %dcl MQACTT_OS2_DEFAULT         char;
 %dcl MQACTT_DOS_DEFAULT         char;
 %dcl MQACTT_UNIX_NUMERIC_ID     char;
 %dcl MQACTT_OS400_ACCOUNT_TOKEN char;
 %dcl MQACTT_WINDOWS_DEFAULT     char;
 %dcl MQACTT_NT_SECURITY_ID      char;
 %dcl MQACTT_USER                char;
 %MQACTT_UNKNOWN             = '''00''X';
 %MQACTT_CICS_LUOW_ID        = '''01''X';
 %MQACTT_OS2_DEFAULT         = '''04''X';
 %MQACTT_DOS_DEFAULT         = '''05''X';
 %MQACTT_UNIX_NUMERIC_ID     = '''06''X';
 %MQACTT_OS400_ACCOUNT_TOKEN = '''08''X';
 %MQACTT_WINDOWS_DEFAULT     = '''09''X';
 %MQACTT_NT_SECURITY_ID      = '''0b''X';
 %MQACTT_USER                = '''19''X';
                                                                       
 /* Put Application Type */
 %dcl MQAT_UNKNOWN           char;
 %dcl MQAT_NO_CONTEXT        char;
 %dcl MQAT_CICS              char;
 %dcl MQAT_MVS               char;
 %dcl MQAT_OS390             char;
 %dcl MQAT_ZOS               char;
 %dcl MQAT_IMS               char;
 %dcl MQAT_OS2               char;
 %dcl MQAT_DOS               char;
 %dcl MQAT_AIX               char;
 %dcl MQAT_UNIX              char;
 %dcl MQAT_QMGR              char;
 %dcl MQAT_OS400             char;
 %dcl MQAT_WINDOWS           char;
 %dcl MQAT_CICS_VSE          char;
 %dcl MQAT_WINDOWS_NT        char;
 %dcl MQAT_VMS               char;
 %dcl MQAT_GUARDIAN          char;
 %dcl MQAT_NSK               char;
 %dcl MQAT_VOS               char;
 %dcl MQAT_IMS_BRIDGE        char;
 %dcl MQAT_XCF               char;
 %dcl MQAT_CICS_BRIDGE       char;
 %dcl MQAT_NOTES_AGENT       char;
 %dcl MQAT_USER              char;
 %dcl MQAT_BROKER            char;
 %dcl MQAT_JAVA              char;
 %dcl MQAT_DQM               char;
 %dcl MQAT_CHANNEL_INITIATOR char;
 %dcl MQAT_DEFAULT           char;
 %dcl MQAT_USER_FIRST        char;
 %dcl MQAT_USER_LAST         char;
 %MQAT_UNKNOWN           = '-1';
 %MQAT_NO_CONTEXT        = '0';
 %MQAT_CICS              = '1';
 %MQAT_MVS               = '2';
 %MQAT_OS390             = '2';
 %MQAT_ZOS               = '2';
 %MQAT_IMS               = '3';
 %MQAT_OS2               = '4';
 %MQAT_DOS               = '5';
 %MQAT_AIX               = '6';
 %MQAT_UNIX              = '6';
 %MQAT_QMGR              = '7';
 %MQAT_OS400             = '8';
 %MQAT_WINDOWS           = '9';
 %MQAT_CICS_VSE          = '10';
 %MQAT_WINDOWS_NT        = '11';
 %MQAT_VMS               = '12';
 %MQAT_GUARDIAN          = '13';
 %MQAT_NSK               = '13';
 %MQAT_VOS               = '14';
 %MQAT_IMS_BRIDGE        = '19';
 %MQAT_XCF               = '20';
 %MQAT_CICS_BRIDGE       = '21';
 %MQAT_NOTES_AGENT       = '22';
 %MQAT_USER              = '25';
 %MQAT_BROKER            = '26';
 %MQAT_JAVA              = '28';
 %MQAT_DQM               = '29';
 %MQAT_CHANNEL_INITIATOR = '30';
 %MQAT_DEFAULT           = '11';
 %MQAT_USER_FIRST        = '65536';
 %MQAT_USER_LAST         = '999999999';
                                                                       
 /* Group Identifier */
 %dcl MQGI_NONE char;
 %MQGI_NONE = '''000000000000000000000000000000000000000000000000''X';
                                                                       
 /* Message Flags */
 %dcl MQMF_SEGMENTATION_INHIBITED char;
 %dcl MQMF_SEGMENTATION_ALLOWED   char;
 %dcl MQMF_MSG_IN_GROUP           char;
 %dcl MQMF_LAST_MSG_IN_GROUP      char;
 %dcl MQMF_SEGMENT                char;
 %dcl MQMF_LAST_SEGMENT           char;
 %dcl MQMF_NONE                   char;
 %MQMF_SEGMENTATION_INHIBITED = '0';
 %MQMF_SEGMENTATION_ALLOWED   = '1';
 %MQMF_MSG_IN_GROUP           = '8';
 %MQMF_LAST_MSG_IN_GROUP      = '16';
 %MQMF_SEGMENT                = '2';
 %MQMF_LAST_SEGMENT           = '4';
 %MQMF_NONE                   = '0';
                                                                       
 /* Message Flags Masks */
 %dcl MQMF_REJECT_UNSUP_MASK         char;
 %dcl MQMF_ACCEPT_UNSUP_MASK         char;
 %dcl MQMF_ACCEPT_UNSUP_IF_XMIT_MASK char;
 %MQMF_REJECT_UNSUP_MASK         = '4095';
 %MQMF_ACCEPT_UNSUP_MASK         = '-1048576';
 %MQMF_ACCEPT_UNSUP_IF_XMIT_MASK = '1044480';
                                                                       
 /* Original Length */
 %dcl MQOL_UNDEFINED char;
 %MQOL_UNDEFINED = '-1';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQMDE Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQMDE_STRUC_ID char;
 %MQMDE_STRUC_ID = '''MDE ''';
                                                                       
 /* Structure Version Number */
 %dcl MQMDE_VERSION_2       char;
 %dcl MQMDE_CURRENT_VERSION char;
 %MQMDE_VERSION_2       = '2';
 %MQMDE_CURRENT_VERSION = '2';
                                                                       
 /* Structure Length */
 %dcl MQMDE_LENGTH_2 char;
 %MQMDE_LENGTH_2 = '72';
                                                                       
 /* General Flags */
 %dcl MQMDEF_NONE char;
 %MQMDEF_NONE = '0';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQOD Structure                                */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQOD_STRUC_ID char;
 %MQOD_STRUC_ID = '''OD  ''';
                                                                       
 /* Structure Version Number */
 %dcl MQOD_VERSION_1       char;
 %dcl MQOD_VERSION_2       char;
 %dcl MQOD_VERSION_3       char;
 %dcl MQOD_CURRENT_VERSION char;
 %MQOD_VERSION_1       = '1';
 %MQOD_VERSION_2       = '2';
 %MQOD_VERSION_3       = '3';
 %MQOD_CURRENT_VERSION = '3';
                                                                       
 /* Structure Length */
 %dcl MQOD_CURRENT_LENGTH char;
 %MQOD_CURRENT_LENGTH = '336';
                                                                       
 /* Object Types */
 %dcl MQOT_Q             char;
 %dcl MQOT_NAMELIST      char;
 %dcl MQOT_PROCESS       char;
 %dcl MQOT_STORAGE_CLASS char;
 %dcl MQOT_Q_MGR         char;
 %dcl MQOT_CHANNEL       char;
 %dcl MQOT_AUTH_INFO     char;
 %dcl MQOT_CF_STRUC      char;
 %dcl MQOT_RESERVED_1    char;
 %MQOT_Q             = '1';
 %MQOT_NAMELIST      = '2';
 %MQOT_PROCESS       = '3';
 %MQOT_STORAGE_CLASS = '4';
 %MQOT_Q_MGR         = '5';
 %MQOT_CHANNEL       = '6';
 %MQOT_AUTH_INFO     = '7';
 %MQOT_CF_STRUC      = '10';
 %MQOT_RESERVED_1    = '999';
                                                                       
 /* Extended Object Types */
 %dcl MQOT_ALL               char;
 %dcl MQOT_ALIAS_Q           char;
 %dcl MQOT_MODEL_Q           char;
 %dcl MQOT_LOCAL_Q           char;
 %dcl MQOT_REMOTE_Q          char;
 %dcl MQOT_SENDER_CHANNEL    char;
 %dcl MQOT_SERVER_CHANNEL    char;
 %dcl MQOT_REQUESTER_CHANNEL char;
 %dcl MQOT_RECEIVER_CHANNEL  char;
 %dcl MQOT_CURRENT_CHANNEL   char;
 %dcl MQOT_SAVED_CHANNEL     char;
 %dcl MQOT_SVRCONN_CHANNEL   char;
 %dcl MQOT_CLNTCONN_CHANNEL  char;
 %MQOT_ALL               = '1001';
 %MQOT_ALIAS_Q           = '1002';
 %MQOT_MODEL_Q           = '1003';
 %MQOT_LOCAL_Q           = '1004';
 %MQOT_REMOTE_Q          = '1005';
 %MQOT_SENDER_CHANNEL    = '1007';
 %MQOT_SERVER_CHANNEL    = '1008';
 %MQOT_REQUESTER_CHANNEL = '1009';
 %MQOT_RECEIVER_CHANNEL  = '1010';
 %MQOT_CURRENT_CHANNEL   = '1011';
 %MQOT_SAVED_CHANNEL     = '1012';
 %MQOT_SVRCONN_CHANNEL   = '1013';
 %MQOT_CLNTCONN_CHANNEL  = '1014';
                                                                       
 /* Security Identifier */
 %dcl MQSID_NONE char;
 %MQSID_NONE = '''0000000000000000000000000000000000000000' ||
                 '0000000000000000000000000000000000000000''X';
                                                                       
 /* Security Identifier Type */
 %dcl MQSIDT_NONE            char;
 %dcl MQSIDT_NT_SECURITY_ID  char;
 %dcl MQSIDT_WAS_SECURITY_ID char;
 %MQSIDT_NONE            = '''00''X';
 %MQSIDT_NT_SECURITY_ID  = '''01''X';
 %MQSIDT_WAS_SECURITY_ID = '''02''X';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQPMO Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQPMO_STRUC_ID char;
 %MQPMO_STRUC_ID = '''PMO ''';
                                                                       
 /* Structure Version Number */
 %dcl MQPMO_VERSION_1       char;
 %dcl MQPMO_VERSION_2       char;
 %dcl MQPMO_CURRENT_VERSION char;
 %MQPMO_VERSION_1       = '1';
 %MQPMO_VERSION_2       = '2';
 %MQPMO_CURRENT_VERSION = '2';
                                                                       
 /* Structure Length */
 %dcl MQPMO_CURRENT_LENGTH char;
 %MQPMO_CURRENT_LENGTH = '152';
                                                                       
 /* Put-Message Options */
 %dcl MQPMO_SYNCPOINT                char;
 %dcl MQPMO_NO_SYNCPOINT             char;
 %dcl MQPMO_NEW_MSG_ID               char;
 %dcl MQPMO_NEW_CORREL_ID            char;
 %dcl MQPMO_LOGICAL_ORDER            char;
 %dcl MQPMO_NO_CONTEXT               char;
 %dcl MQPMO_DEFAULT_CONTEXT          char;
 %dcl MQPMO_PASS_IDENTITY_CONTEXT    char;
 %dcl MQPMO_PASS_ALL_CONTEXT         char;
 %dcl MQPMO_SET_IDENTITY_CONTEXT     char;
 %dcl MQPMO_SET_ALL_CONTEXT          char;
 %dcl MQPMO_ALTERNATE_USER_AUTHORITY char;
 %dcl MQPMO_FAIL_IF_QUIESCING        char;
 %dcl MQPMO_NONE                     char;
 %MQPMO_SYNCPOINT                = '2';
 %MQPMO_NO_SYNCPOINT             = '4';
 %MQPMO_NEW_MSG_ID               = '64';
 %MQPMO_NEW_CORREL_ID            = '128';
 %MQPMO_LOGICAL_ORDER            = '32768';
 %MQPMO_NO_CONTEXT               = '16384';
 %MQPMO_DEFAULT_CONTEXT          = '32';
 %MQPMO_PASS_IDENTITY_CONTEXT    = '256';
 %MQPMO_PASS_ALL_CONTEXT         = '512';
 %MQPMO_SET_IDENTITY_CONTEXT     = '1024';
 %MQPMO_SET_ALL_CONTEXT          = '2048';
 %MQPMO_ALTERNATE_USER_AUTHORITY = '4096';
 %MQPMO_FAIL_IF_QUIESCING        = '8192';
 %MQPMO_NONE                     = '0';
                                                                       
 /* Put Message Record Fields */
 %dcl MQPMRF_MSG_ID           char;
 %dcl MQPMRF_CORREL_ID        char;
 %dcl MQPMRF_GROUP_ID         char;
 %dcl MQPMRF_FEEDBACK         char;
 %dcl MQPMRF_ACCOUNTING_TOKEN char;
 %dcl MQPMRF_NONE             char;
 %MQPMRF_MSG_ID           = '1';
 %MQPMRF_CORREL_ID        = '2';
 %MQPMRF_GROUP_ID         = '4';
 %MQPMRF_FEEDBACK         = '8';
 %MQPMRF_ACCOUNTING_TOKEN = '16';
 %MQPMRF_NONE             = '0';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQRFH Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQRFH_STRUC_ID char;
 %MQRFH_STRUC_ID = '''RFH ''';
                                                                       
 /* Structure Version Number */
 %dcl MQRFH_VERSION_1 char;
 %dcl MQRFH_VERSION_2 char;
 %MQRFH_VERSION_1 = '1';
 %MQRFH_VERSION_2 = '2';
                                                                       
 /* Structure Length */
 %dcl MQRFH_STRUC_LENGTH_FIXED   char;
 %dcl MQRFH_STRUC_LENGTH_FIXED_2 char;
 %MQRFH_STRUC_LENGTH_FIXED   = '32';
 %MQRFH_STRUC_LENGTH_FIXED_2 = '36';
                                                                       
 /* Flags */
 %dcl MQRFH_NONE char;
 %MQRFH_NONE = '0';
                                                                       
 /* Names for Name/Value String */
 %dcl MQNVS_APPL_TYPE char;
 %dcl MQNVS_MSG_TYPE  char;
 %MQNVS_APPL_TYPE = '''OPT_APP_GRP ''';
 %MQNVS_MSG_TYPE  = '''OPT_MSG_TYPE ''';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQRMH Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQRMH_STRUC_ID char;
 %MQRMH_STRUC_ID = '''RMH ''';
                                                                       
 /* Structure Version Number */
 %dcl MQRMH_VERSION_1       char;
 %dcl MQRMH_CURRENT_VERSION char;
 %MQRMH_VERSION_1       = '1';
 %MQRMH_CURRENT_VERSION = '1';
                                                                       
 /* Flags */
 %dcl MQRMHF_LAST     char;
 %dcl MQRMHF_NOT_LAST char;
 %MQRMHF_LAST     = '1';
 %MQRMHF_NOT_LAST = '0';
                                                                       
 /* Object Instance Identifier */
 %dcl MQOII_NONE char;
 %MQOII_NONE = '''000000000000000000000000000000000000000000000000''X';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQSCO Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQSCO_STRUC_ID char;
 %MQSCO_STRUC_ID = '''SCO ''';
                                                                       
 /* Structure Version Number */
 %dcl MQSCO_VERSION_1       char;
 %dcl MQSCO_CURRENT_VERSION char;
 %MQSCO_VERSION_1       = '1';
 %MQSCO_CURRENT_VERSION = '1';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQTM Structure                                */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQTM_STRUC_ID char;
 %MQTM_STRUC_ID = '''TM  ''';
                                                                       
 /* Structure Version Number */
 %dcl MQTM_VERSION_1       char;
 %dcl MQTM_CURRENT_VERSION char;
 %MQTM_VERSION_1       = '1';
 %MQTM_CURRENT_VERSION = '1';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQTMC2 Structure                              */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQTMC_STRUC_ID char;
 %MQTMC_STRUC_ID = '''TMC ''';
                                                                       
 /* Structure Version Number */
 %dcl MQTMC_VERSION_1       char;
 %dcl MQTMC_VERSION_2       char;
 %dcl MQTMC_CURRENT_VERSION char;
 %MQTMC_VERSION_1       = '''   1''';
 %MQTMC_VERSION_2       = '''   2''';
 %MQTMC_CURRENT_VERSION = '''   2''';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQWIH Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQWIH_STRUC_ID char;
 %MQWIH_STRUC_ID = '''WIH ''';
                                                                       
 /* Structure Version Number */
 %dcl MQWIH_VERSION_1       char;
 %dcl MQWIH_CURRENT_VERSION char;
 %MQWIH_VERSION_1       = '1';
 %MQWIH_CURRENT_VERSION = '1';
                                                                       
 /* Structure Length */
 %dcl MQWIH_LENGTH_1       char;
 %dcl MQWIH_CURRENT_LENGTH char;
 %MQWIH_LENGTH_1       = '120';
 %MQWIH_CURRENT_LENGTH = '120';
                                                                       
 /* Flags */
 %dcl MQWIH_NONE char;
 %MQWIH_NONE = '0';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQXQH Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Identifier */
 %dcl MQXQH_STRUC_ID char;
 %MQXQH_STRUC_ID = '''XQH ''';
                                                                       
 /* Structure Version Number */
 %dcl MQXQH_VERSION_1       char;
 %dcl MQXQH_CURRENT_VERSION char;
 %MQXQH_VERSION_1       = '1';
 %MQXQH_CURRENT_VERSION = '1';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQCLOSE Call                                  */
 /********************************************************************/
                                                                       
 /* Object Handle */
 %dcl MQHO_UNUSABLE_HOBJ char;
 %dcl MQHO_NONE          char;
 %MQHO_UNUSABLE_HOBJ = '-1';
 %MQHO_NONE          = '0';
                                                                       
 /* Close Options */
 %dcl MQCO_NONE         char;
 %dcl MQCO_DELETE       char;
 %dcl MQCO_DELETE_PURGE char;
 %MQCO_NONE         = '0';
 %MQCO_DELETE       = '1';
 %MQCO_DELETE_PURGE = '2';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQINQ Call                                    */
 /********************************************************************/
                                                                       
 /* Character-Attribute Selectors */
 %dcl MQCA_ALTERATION_DATE       char;
 %dcl MQCA_ALTERATION_TIME       char;
 %dcl MQCA_APPL_ID               char;
 %dcl MQCA_AUTH_INFO_CONN_NAME   char;
 %dcl MQCA_AUTH_INFO_DESC        char;
 %dcl MQCA_AUTH_INFO_NAME        char;
 %dcl MQCA_BACKOUT_REQ_Q_NAME    char;
 %dcl MQCA_BASE_Q_NAME           char;
 %dcl MQCA_CF_STRUC_DESC         char;
 %dcl MQCA_CF_STRUC_NAME         char;
 %dcl MQCA_CHANNEL_AUTO_DEF_EXIT char;
 %dcl MQCA_CLUSTER_DATE          char;
 %dcl MQCA_CLUSTER_NAME          char;
 %dcl MQCA_CLUSTER_NAMELIST      char;
 %dcl MQCA_CLUSTER_Q_MGR_NAME    char;
 %dcl MQCA_CLUSTER_TIME          char;
 %dcl MQCA_CLUSTER_WORKLOAD_DATA char;
 %dcl MQCA_CLUSTER_WORKLOAD_EXIT char;
 %dcl MQCA_COMMAND_INPUT_Q_NAME  char;
 %dcl MQCA_CREATION_DATE         char;
 %dcl MQCA_CREATION_TIME         char;
 %dcl MQCA_DEAD_LETTER_Q_NAME    char;
 %dcl MQCA_DEF_XMIT_Q_NAME       char;
 %dcl MQCA_ENV_DATA              char;
 %dcl MQCA_FIRST                 char;
 %dcl MQCA_IGQ_USER_ID           char;
 %dcl MQCA_INITIATION_Q_NAME     char;
 %dcl MQCA_LAST                  char;
 %dcl MQCA_LAST_USED             char;
 %dcl MQCA_LDAP_PASSWORD         char;
 %dcl MQCA_LDAP_USER_NAME        char;
 %dcl MQCA_NAMELIST_DESC         char;
 %dcl MQCA_NAMELIST_NAME         char;
 %dcl MQCA_NAMES                 char;
 %dcl MQCA_PROCESS_DESC          char;
 %dcl MQCA_PROCESS_NAME          char;
 %dcl MQCA_Q_DESC                char;
 %dcl MQCA_Q_MGR_DESC            char;
 %dcl MQCA_Q_MGR_IDENTIFIER      char;
 %dcl MQCA_Q_MGR_NAME            char;
 %dcl MQCA_Q_NAME                char;
 %dcl MQCA_QSG_NAME              char;
 %dcl MQCA_REMOTE_Q_MGR_NAME     char;
 %dcl MQCA_REMOTE_Q_NAME         char;
 %dcl MQCA_REPOSITORY_NAME       char;
 %dcl MQCA_REPOSITORY_NAMELIST   char;
 %dcl MQCA_SSL_CRL_NAMELIST      char;
 %dcl MQCA_SSL_CRYPTO_HARDWARE   char;
 %dcl MQCA_SSL_KEY_REPOSITORY    char;
 %dcl MQCA_STORAGE_CLASS         char;
 %dcl MQCA_STORAGE_CLASS_DESC    char;
 %dcl MQCA_TRIGGER_DATA          char;
 %dcl MQCA_USER_DATA             char;
 %dcl MQCA_USER_LIST             char;
 %dcl MQCA_XCF_GROUP_NAME        char;
 %dcl MQCA_XCF_MEMBER_NAME       char;
 %dcl MQCA_XMIT_Q_NAME           char;
 %MQCA_ALTERATION_DATE       = '2027';
 %MQCA_ALTERATION_TIME       = '2028';
 %MQCA_APPL_ID               = '2001';
 %MQCA_AUTH_INFO_CONN_NAME   = '2053';
 %MQCA_AUTH_INFO_DESC        = '2046';
 %MQCA_AUTH_INFO_NAME        = '2045';
 %MQCA_BACKOUT_REQ_Q_NAME    = '2019';
 %MQCA_BASE_Q_NAME           = '2002';
 %MQCA_CF_STRUC_DESC         = '2052';
 %MQCA_CF_STRUC_NAME         = '2039';
 %MQCA_CHANNEL_AUTO_DEF_EXIT = '2026';
 %MQCA_CLUSTER_DATE          = '2037';
 %MQCA_CLUSTER_NAME          = '2029';
 %MQCA_CLUSTER_NAMELIST      = '2030';
 %MQCA_CLUSTER_Q_MGR_NAME    = '2031';
 %MQCA_CLUSTER_TIME          = '2038';
 %MQCA_CLUSTER_WORKLOAD_DATA = '2034';
 %MQCA_CLUSTER_WORKLOAD_EXIT = '2033';
 %MQCA_COMMAND_INPUT_Q_NAME  = '2003';
 %MQCA_CREATION_DATE         = '2004';
 %MQCA_CREATION_TIME         = '2005';
 %MQCA_DEAD_LETTER_Q_NAME    = '2006';
 %MQCA_DEF_XMIT_Q_NAME       = '2025';
 %MQCA_ENV_DATA              = '2007';
 %MQCA_FIRST                 = '2001';
 %MQCA_IGQ_USER_ID           = '2041';
 %MQCA_INITIATION_Q_NAME     = '2008';
 %MQCA_LAST                  = '4000';
 %MQCA_LAST_USED             = '2053';
 %MQCA_LDAP_PASSWORD         = '2048';
 %MQCA_LDAP_USER_NAME        = '2047';
 %MQCA_NAMELIST_DESC         = '2009';
 %MQCA_NAMELIST_NAME         = '2010';
 %MQCA_NAMES                 = '2020';
 %MQCA_PROCESS_DESC          = '2011';
 %MQCA_PROCESS_NAME          = '2012';
 %MQCA_Q_DESC                = '2013';
 %MQCA_Q_MGR_DESC            = '2014';
 %MQCA_Q_MGR_IDENTIFIER      = '2032';
 %MQCA_Q_MGR_NAME            = '2015';
 %MQCA_Q_NAME                = '2016';
 %MQCA_QSG_NAME              = '2040';
 %MQCA_REMOTE_Q_MGR_NAME     = '2017';
 %MQCA_REMOTE_Q_NAME         = '2018';
 %MQCA_REPOSITORY_NAME       = '2035';
 %MQCA_REPOSITORY_NAMELIST   = '2036';
 %MQCA_SSL_CRL_NAMELIST      = '2050';
 %MQCA_SSL_CRYPTO_HARDWARE   = '2051';
 %MQCA_SSL_KEY_REPOSITORY    = '2049';
 %MQCA_STORAGE_CLASS         = '2022';
 %MQCA_STORAGE_CLASS_DESC    = '2042';
 %MQCA_TRIGGER_DATA          = '2023';
 %MQCA_USER_DATA             = '2021';
 %MQCA_USER_LIST             = '4000';
 %MQCA_XCF_GROUP_NAME        = '2043';
 %MQCA_XCF_MEMBER_NAME       = '2044';
 %MQCA_XMIT_Q_NAME           = '2024';
                                                                       
 /* Integer-Attribute Selectors */
 %dcl MQIA_APPL_TYPE                char;
 %dcl MQIA_ARCHIVE                  char;
 %dcl MQIA_AUTH_INFO_TYPE           char;
 %dcl MQIA_AUTHORITY_EVENT          char;
 %dcl MQIA_BACKOUT_THRESHOLD        char;
 %dcl MQIA_CF_LEVEL                 char;
 %dcl MQIA_CF_RECOVER               char;
 %dcl MQIA_CHANNEL_AUTO_DEF         char;
 %dcl MQIA_CHANNEL_AUTO_DEF_EVENT   char;
 %dcl MQIA_CLUSTER_Q_TYPE           char;
 %dcl MQIA_CLUSTER_WORKLOAD_LENGTH  char;
 %dcl MQIA_CODED_CHAR_SET_ID        char;
 %dcl MQIA_COMMAND_LEVEL            char;
 %dcl MQIA_CONFIGURATION_EVENT      char;
 %dcl MQIA_CURRENT_Q_DEPTH          char;
 %dcl MQIA_DEF_BIND                 char;
 %dcl MQIA_DEF_INPUT_OPEN_OPTION    char;
 %dcl MQIA_DEF_PERSISTENCE          char;
 %dcl MQIA_DEF_PRIORITY             char;
 %dcl MQIA_DEFINITION_TYPE          char;
 %dcl MQIA_DIST_LISTS               char;
 %dcl MQIA_EXPIRY_INTERVAL          char;
 %dcl MQIA_FIRST                    char;
 %dcl MQIA_HARDEN_GET_BACKOUT       char;
 %dcl MQIA_HIGH_Q_DEPTH             char;
 %dcl MQIA_IGQ_PUT_AUTHORITY        char;
 %dcl MQIA_INDEX_TYPE               char;
 %dcl MQIA_INHIBIT_EVENT            char;
 %dcl MQIA_INHIBIT_GET              char;
 %dcl MQIA_INHIBIT_PUT              char;
 %dcl MQIA_INTRA_GROUP_QUEUING      char;
 %dcl MQIA_LAST                     char;
 %dcl MQIA_LAST_USED                char;
 %dcl MQIA_LOCAL_EVENT              char;
 %dcl MQIA_MAX_HANDLES              char;
 %dcl MQIA_MAX_MSG_LENGTH           char;
 %dcl MQIA_MAX_PRIORITY             char;
 %dcl MQIA_MAX_Q_DEPTH              char;
 %dcl MQIA_MAX_UNCOMMITTED_MSGS     char;
 %dcl MQIA_MSG_DELIVERY_SEQUENCE    char;
 %dcl MQIA_MSG_DEQ_COUNT            char;
 %dcl MQIA_MSG_ENQ_COUNT            char;
 %dcl MQIA_NAME_COUNT               char;
 %dcl MQIA_NAMELIST_TYPE            char;
 %dcl MQIA_OPEN_INPUT_COUNT         char;
 %dcl MQIA_OPEN_OUTPUT_COUNT        char;
 %dcl MQIA_PAGESET_ID               char;
 %dcl MQIA_PERFORMANCE_EVENT        char;
 %dcl MQIA_PLATFORM                 char;
 %dcl MQIA_Q_DEPTH_HIGH_EVENT       char;
 %dcl MQIA_Q_DEPTH_HIGH_LIMIT       char;
 %dcl MQIA_Q_DEPTH_LOW_EVENT        char;
 %dcl MQIA_Q_DEPTH_LOW_LIMIT        char;
 %dcl MQIA_Q_DEPTH_MAX_EVENT        char;
 %dcl MQIA_Q_SERVICE_INTERVAL       char;
 %dcl MQIA_Q_SERVICE_INTERVAL_EVENT char;
 %dcl MQIA_Q_TYPE                   char;
 %dcl MQIA_QSG_DISP                 char;
 %dcl MQIA_REMOTE_EVENT             char;
 %dcl MQIA_RETENTION_INTERVAL       char;
 %dcl MQIA_SCOPE                    char;
 %dcl MQIA_SHAREABILITY             char;
 %dcl MQIA_SSL_TASKS                char;
 %dcl MQIA_START_STOP_EVENT         char;
 %dcl MQIA_SYNCPOINT                char;
 %dcl MQIA_TIME_SINCE_RESET         char;
 %dcl MQIA_TRIGGER_CONTROL          char;
 %dcl MQIA_TRIGGER_DEPTH            char;
 %dcl MQIA_TRIGGER_INTERVAL         char;
 %dcl MQIA_TRIGGER_MSG_PRIORITY     char;
 %dcl MQIA_TRIGGER_TYPE             char;
 %dcl MQIA_USAGE                    char;
 %dcl MQIA_USER_LIST                char;
 %MQIA_APPL_TYPE                = '1';
 %MQIA_ARCHIVE                  = '60';
 %MQIA_AUTH_INFO_TYPE           = '66';
 %MQIA_AUTHORITY_EVENT          = '47';
 %MQIA_BACKOUT_THRESHOLD        = '22';
 %MQIA_CF_LEVEL                 = '70';
 %MQIA_CF_RECOVER               = '71';
 %MQIA_CHANNEL_AUTO_DEF         = '55';
 %MQIA_CHANNEL_AUTO_DEF_EVENT   = '56';
 %MQIA_CLUSTER_Q_TYPE           = '59';
 %MQIA_CLUSTER_WORKLOAD_LENGTH  = '58';
 %MQIA_CODED_CHAR_SET_ID        = '2';
 %MQIA_COMMAND_LEVEL            = '31';
 %MQIA_CONFIGURATION_EVENT      = '51';
 %MQIA_CURRENT_Q_DEPTH          = '3';
 %MQIA_DEF_BIND                 = '61';
 %MQIA_DEF_INPUT_OPEN_OPTION    = '4';
 %MQIA_DEF_PERSISTENCE          = '5';
 %MQIA_DEF_PRIORITY             = '6';
 %MQIA_DEFINITION_TYPE          = '7';
 %MQIA_DIST_LISTS               = '34';
 %MQIA_EXPIRY_INTERVAL          = '39';
 %MQIA_FIRST                    = '1';
 %MQIA_HARDEN_GET_BACKOUT       = '8';
 %MQIA_HIGH_Q_DEPTH             = '36';
 %MQIA_IGQ_PUT_AUTHORITY        = '65';
 %MQIA_INDEX_TYPE               = '57';
 %MQIA_INHIBIT_EVENT            = '48';
 %MQIA_INHIBIT_GET              = '9';
 %MQIA_INHIBIT_PUT              = '10';
 %MQIA_INTRA_GROUP_QUEUING      = '64';
 %MQIA_LAST                     = '2000';
 %MQIA_LAST_USED                = '72';
 %MQIA_LOCAL_EVENT              = '49';
 %MQIA_MAX_HANDLES              = '11';
 %MQIA_MAX_MSG_LENGTH           = '13';
 %MQIA_MAX_PRIORITY             = '14';
 %MQIA_MAX_Q_DEPTH              = '15';
 %MQIA_MAX_UNCOMMITTED_MSGS     = '33';
 %MQIA_MSG_DELIVERY_SEQUENCE    = '16';
 %MQIA_MSG_DEQ_COUNT            = '38';
 %MQIA_MSG_ENQ_COUNT            = '37';
 %MQIA_NAME_COUNT               = '19';
 %MQIA_NAMELIST_TYPE            = '72';
 %MQIA_OPEN_INPUT_COUNT         = '17';
 %MQIA_OPEN_OUTPUT_COUNT        = '18';
 %MQIA_PAGESET_ID               = '62';
 %MQIA_PERFORMANCE_EVENT        = '53';
 %MQIA_PLATFORM                 = '32';
 %MQIA_Q_DEPTH_HIGH_EVENT       = '43';
 %MQIA_Q_DEPTH_HIGH_LIMIT       = '40';
 %MQIA_Q_DEPTH_LOW_EVENT        = '44';
 %MQIA_Q_DEPTH_LOW_LIMIT        = '41';
 %MQIA_Q_DEPTH_MAX_EVENT        = '42';
 %MQIA_Q_SERVICE_INTERVAL       = '54';
 %MQIA_Q_SERVICE_INTERVAL_EVENT = '46';
 %MQIA_Q_TYPE                   = '20';
 %MQIA_QSG_DISP                 = '63';
 %MQIA_REMOTE_EVENT             = '50';
 %MQIA_RETENTION_INTERVAL       = '21';
 %MQIA_SCOPE                    = '45';
 %MQIA_SHAREABILITY             = '23';
 %MQIA_SSL_TASKS                = '69';
 %MQIA_START_STOP_EVENT         = '52';
 %MQIA_SYNCPOINT                = '30';
 %MQIA_TIME_SINCE_RESET         = '35';
 %MQIA_TRIGGER_CONTROL          = '24';
 %MQIA_TRIGGER_DEPTH            = '29';
 %MQIA_TRIGGER_INTERVAL         = '25';
 %MQIA_TRIGGER_MSG_PRIORITY     = '26';
 %MQIA_TRIGGER_TYPE             = '28';
 %MQIA_USAGE                    = '12';
 %MQIA_USER_LIST                = '2000';
                                                                       
 /* Integer Attribute Value Denoting "Not Applicable" */
 %dcl MQIAV_NOT_APPLICABLE char;
 %dcl MQIAV_UNDEFINED      char;
 %MQIAV_NOT_APPLICABLE = '-1';
 %MQIAV_UNDEFINED      = '-2';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQOPEN Call                                   */
 /********************************************************************/
                                                                       
 /* Open Options */
 %dcl MQOO_INPUT_AS_Q_DEF           char;
 %dcl MQOO_INPUT_SHARED             char;
 %dcl MQOO_INPUT_EXCLUSIVE          char;
 %dcl MQOO_BROWSE                   char;
 %dcl MQOO_OUTPUT                   char;
 %dcl MQOO_INQUIRE                  char;
 %dcl MQOO_SET                      char;
 %dcl MQOO_BIND_ON_OPEN             char;
 %dcl MQOO_BIND_NOT_FIXED           char;
 %dcl MQOO_BIND_AS_Q_DEF            char;
 %dcl MQOO_SAVE_ALL_CONTEXT         char;
 %dcl MQOO_PASS_IDENTITY_CONTEXT    char;
 %dcl MQOO_PASS_ALL_CONTEXT         char;
 %dcl MQOO_SET_IDENTITY_CONTEXT     char;
 %dcl MQOO_SET_ALL_CONTEXT          char;
 %dcl MQOO_ALTERNATE_USER_AUTHORITY char;
 %dcl MQOO_FAIL_IF_QUIESCING        char;
 %MQOO_INPUT_AS_Q_DEF           = '1';
 %MQOO_INPUT_SHARED             = '2';
 %MQOO_INPUT_EXCLUSIVE          = '4';
 %MQOO_BROWSE                   = '8';
 %MQOO_OUTPUT                   = '16';
 %MQOO_INQUIRE                  = '32';
 %MQOO_SET                      = '64';
 %MQOO_BIND_ON_OPEN             = '16384';
 %MQOO_BIND_NOT_FIXED           = '32768';
 %MQOO_BIND_AS_Q_DEF            = '0';
 %MQOO_SAVE_ALL_CONTEXT         = '128';
 %MQOO_PASS_IDENTITY_CONTEXT    = '256';
 %MQOO_PASS_ALL_CONTEXT         = '512';
 %MQOO_SET_IDENTITY_CONTEXT     = '1024';
 %MQOO_SET_ALL_CONTEXT          = '2048';
 %MQOO_ALTERNATE_USER_AUTHORITY = '4096';
 %MQOO_FAIL_IF_QUIESCING        = '8192';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to All Calls                                     */
 /********************************************************************/
                                                                       
 /* Connection Handle */
 %dcl MQHC_DEF_HCONN      char;
 %dcl MQHC_UNUSABLE_HCONN char;
 %MQHC_DEF_HCONN      = '0';
 %MQHC_UNUSABLE_HCONN = '-1';
                                                                       
 /* String Lengths */
 %dcl MQ_ABEND_CODE_LENGTH          char;
 %dcl MQ_ACCOUNTING_TOKEN_LENGTH    char;
 %dcl MQ_APPL_IDENTITY_DATA_LENGTH  char;
 %dcl MQ_APPL_NAME_LENGTH           char;
 %dcl MQ_APPL_ORIGIN_DATA_LENGTH    char;
 %dcl MQ_APPL_TAG_LENGTH            char;
 %dcl MQ_ATTENTION_ID_LENGTH        char;
 %dcl MQ_AUTH_INFO_CONN_NAME_LENGTH char;
 %dcl MQ_AUTH_INFO_DESC_LENGTH      char;
 %dcl MQ_AUTH_INFO_NAME_LENGTH      char;
 %dcl MQ_AUTHENTICATOR_LENGTH       char;
 %dcl MQ_BRIDGE_NAME_LENGTH         char;
 %dcl MQ_CANCEL_CODE_LENGTH         char;
 %dcl MQ_CF_STRUC_DESC_LENGTH       char;
 %dcl MQ_CF_STRUC_NAME_LENGTH       char;
 %dcl MQ_CHANNEL_DATE_LENGTH        char;
 %dcl MQ_CHANNEL_DESC_LENGTH        char;
 %dcl MQ_CHANNEL_NAME_LENGTH        char;
 %dcl MQ_CHANNEL_TIME_LENGTH        char;
 %dcl MQ_CLUSTER_NAME_LENGTH        char;
 %dcl MQ_CONN_NAME_LENGTH           char;
 %dcl MQ_CONN_TAG_LENGTH            char;
 %dcl MQ_CORREL_ID_LENGTH           char;
 %dcl MQ_CREATION_DATE_LENGTH       char;
 %dcl MQ_CREATION_TIME_LENGTH       char;
 %dcl MQ_DATE_LENGTH                char;
 %dcl MQ_DISTINGUISHED_NAME_LENGTH  char;
 %dcl MQ_EXIT_DATA_LENGTH           char;
 %dcl MQ_EXIT_INFO_NAME_LENGTH      char;
 %dcl MQ_EXIT_NAME_LENGTH           char;
 %dcl MQ_EXIT_PD_AREA_LENGTH        char;
 %dcl MQ_EXIT_USER_AREA_LENGTH      char;
 %dcl MQ_FACILITY_LENGTH            char;
 %dcl MQ_FACILITY_LIKE_LENGTH       char;
 %dcl MQ_FORMAT_LENGTH              char;
 %dcl MQ_FUNCTION_LENGTH            char;
 %dcl MQ_GROUP_ID_LENGTH            char;
 %dcl MQ_LDAP_PASSWORD_LENGTH       char;
 %dcl MQ_LOCAL_ADDRESS_LENGTH       char;
 %dcl MQ_LTERM_OVERRIDE_LENGTH      char;
 %dcl MQ_LUWID_LENGTH               char;
 %dcl MQ_MAX_EXIT_NAME_LENGTH       char;
 %dcl MQ_MAX_MCA_USER_ID_LENGTH     char;
 %dcl MQ_MAX_USER_ID_LENGTH         char;
 %dcl MQ_MCA_JOB_NAME_LENGTH        char;
 %dcl MQ_MCA_NAME_LENGTH            char;
 %dcl MQ_MCA_USER_ID_LENGTH         char;
 %dcl MQ_MFS_MAP_NAME_LENGTH        char;
 %dcl MQ_MODE_NAME_LENGTH           char;
 %dcl MQ_MSG_HEADER_LENGTH          char;
 %dcl MQ_MSG_ID_LENGTH              char;
 %dcl MQ_MSG_TOKEN_LENGTH           char;
 %dcl MQ_NAMELIST_DESC_LENGTH       char;
 %dcl MQ_NAMELIST_NAME_LENGTH       char;
 %dcl MQ_OBJECT_INSTANCE_ID_LENGTH  char;
 %dcl MQ_OBJECT_NAME_LENGTH         char;
 %dcl MQ_PASSWORD_LENGTH            char;
 %dcl MQ_PROCESS_APPL_ID_LENGTH     char;
 %dcl MQ_PROCESS_DESC_LENGTH        char;
 %dcl MQ_PROCESS_ENV_DATA_LENGTH    char;
 %dcl MQ_PROCESS_NAME_LENGTH        char;
 %dcl MQ_PROCESS_USER_DATA_LENGTH   char;
 %dcl MQ_PUT_APPL_NAME_LENGTH       char;
 %dcl MQ_PUT_DATE_LENGTH            char;
 %dcl MQ_PUT_TIME_LENGTH            char;
 %dcl MQ_Q_DESC_LENGTH              char;
 %dcl MQ_Q_MGR_DESC_LENGTH          char;
 %dcl MQ_Q_MGR_IDENTIFIER_LENGTH    char;
 %dcl MQ_Q_MGR_NAME_LENGTH          char;
 %dcl MQ_Q_NAME_LENGTH              char;
 %dcl MQ_QSG_NAME_LENGTH            char;
 %dcl MQ_REMOTE_SYS_ID_LENGTH       char;
 %dcl MQ_SECURITY_ID_LENGTH         char;
 %dcl MQ_SERVICE_NAME_LENGTH        char;
 %dcl MQ_SERVICE_STEP_LENGTH        char;
 %dcl MQ_SHORT_CONN_NAME_LENGTH     char;
 %dcl MQ_SSL_CIPHER_SPEC_LENGTH     char;
 %dcl MQ_SSL_CRYPTO_HARDWARE_LENGTH char;
 %dcl MQ_SSL_HANDSHAKE_STAGE_LENGTH char;
 %dcl MQ_SSL_KEY_REPOSITORY_LENGTH  char;
 %dcl MQ_SSL_PEER_NAME_LENGTH       char;
 %dcl MQ_SSL_SHORT_PEER_NAME_LENGTH char;
 %dcl MQ_START_CODE_LENGTH          char;
 %dcl MQ_STORAGE_CLASS_DESC_LENGTH  char;
 %dcl MQ_STORAGE_CLASS_LENGTH       char;
 %dcl MQ_SUB_IDENTITY_LENGTH        char;
 %dcl MQ_TIME_LENGTH                char;
 %dcl MQ_TOTAL_EXIT_DATA_LENGTH     char;
 %dcl MQ_TOTAL_EXIT_NAME_LENGTH     char;
 %dcl MQ_TP_NAME_LENGTH             char;
 %dcl MQ_TRAN_INSTANCE_ID_LENGTH    char;
 %dcl MQ_TRANSACTION_ID_LENGTH      char;
 %dcl MQ_TRIGGER_DATA_LENGTH        char;
 %dcl MQ_USER_ID_LENGTH             char;
 %dcl MQ_XCF_GROUP_NAME_LENGTH      char;
 %dcl MQ_XCF_MEMBER_NAME_LENGTH     char;
 %MQ_ABEND_CODE_LENGTH          = '4';
 %MQ_ACCOUNTING_TOKEN_LENGTH    = '32';
 %MQ_APPL_IDENTITY_DATA_LENGTH  = '32';
 %MQ_APPL_NAME_LENGTH           = '28';
 %MQ_APPL_ORIGIN_DATA_LENGTH    = '4';
 %MQ_APPL_TAG_LENGTH            = '28';
 %MQ_ATTENTION_ID_LENGTH        = '4';
 %MQ_AUTH_INFO_CONN_NAME_LENGTH = '264';
 %MQ_AUTH_INFO_DESC_LENGTH      = '64';
 %MQ_AUTH_INFO_NAME_LENGTH      = '48';
 %MQ_AUTHENTICATOR_LENGTH       = '8';
 %MQ_BRIDGE_NAME_LENGTH         = '24';
 %MQ_CANCEL_CODE_LENGTH         = '4';
 %MQ_CF_STRUC_DESC_LENGTH       = '64';
 %MQ_CF_STRUC_NAME_LENGTH       = '12';
 %MQ_CHANNEL_DATE_LENGTH        = '12';
 %MQ_CHANNEL_DESC_LENGTH        = '64';
 %MQ_CHANNEL_NAME_LENGTH        = '20';
 %MQ_CHANNEL_TIME_LENGTH        = '8';
 %MQ_CLUSTER_NAME_LENGTH        = '48';
 %MQ_CONN_NAME_LENGTH           = '264';
 %MQ_CONN_TAG_LENGTH            = '128';
 %MQ_CORREL_ID_LENGTH           = '24';
 %MQ_CREATION_DATE_LENGTH       = '12';
 %MQ_CREATION_TIME_LENGTH       = '8';
 %MQ_DATE_LENGTH                = '12';
 %MQ_DISTINGUISHED_NAME_LENGTH  = '1024';
 %MQ_EXIT_DATA_LENGTH           = '32';
 %MQ_EXIT_INFO_NAME_LENGTH      = '48';
 %MQ_EXIT_NAME_LENGTH           = '128';
 %MQ_EXIT_PD_AREA_LENGTH        = '48';
 %MQ_EXIT_USER_AREA_LENGTH      = '16';
 %MQ_FACILITY_LENGTH            = '8';
 %MQ_FACILITY_LIKE_LENGTH       = '4';
 %MQ_FORMAT_LENGTH              = '8';
 %MQ_FUNCTION_LENGTH            = '4';
 %MQ_GROUP_ID_LENGTH            = '24';
 %MQ_LDAP_PASSWORD_LENGTH       = '32';
 %MQ_LOCAL_ADDRESS_LENGTH       = '48';
 %MQ_LTERM_OVERRIDE_LENGTH      = '8';
 %MQ_LUWID_LENGTH               = '16';
 %MQ_MAX_EXIT_NAME_LENGTH       = '128';
 %MQ_MAX_MCA_USER_ID_LENGTH     = '64';
 %MQ_MAX_USER_ID_LENGTH         = '64';
 %MQ_MCA_JOB_NAME_LENGTH        = '28';
 %MQ_MCA_NAME_LENGTH            = '20';
 %MQ_MCA_USER_ID_LENGTH         = '64';
 %MQ_MFS_MAP_NAME_LENGTH        = '8';
 %MQ_MODE_NAME_LENGTH           = '8';
 %MQ_MSG_HEADER_LENGTH          = '4000';
 %MQ_MSG_ID_LENGTH              = '24';
 %MQ_MSG_TOKEN_LENGTH           = '16';
 %MQ_NAMELIST_DESC_LENGTH       = '64';
 %MQ_NAMELIST_NAME_LENGTH       = '48';
 %MQ_OBJECT_INSTANCE_ID_LENGTH  = '24';
 %MQ_OBJECT_NAME_LENGTH         = '48';
 %MQ_PASSWORD_LENGTH            = '12';
 %MQ_PROCESS_APPL_ID_LENGTH     = '256';
 %MQ_PROCESS_DESC_LENGTH        = '64';
 %MQ_PROCESS_ENV_DATA_LENGTH    = '128';
 %MQ_PROCESS_NAME_LENGTH        = '48';
 %MQ_PROCESS_USER_DATA_LENGTH   = '128';
 %MQ_PUT_APPL_NAME_LENGTH       = '28';
 %MQ_PUT_DATE_LENGTH            = '8';
 %MQ_PUT_TIME_LENGTH            = '8';
 %MQ_Q_DESC_LENGTH              = '64';
 %MQ_Q_MGR_DESC_LENGTH          = '64';
 %MQ_Q_MGR_IDENTIFIER_LENGTH    = '48';
 %MQ_Q_MGR_NAME_LENGTH          = '48';
 %MQ_Q_NAME_LENGTH              = '48';
 %MQ_QSG_NAME_LENGTH            = '4';
 %MQ_REMOTE_SYS_ID_LENGTH       = '4';
 %MQ_SECURITY_ID_LENGTH         = '40';
 %MQ_SERVICE_NAME_LENGTH        = '32';
 %MQ_SERVICE_STEP_LENGTH        = '8';
 %MQ_SHORT_CONN_NAME_LENGTH     = '20';
 %MQ_SSL_CIPHER_SPEC_LENGTH     = '32';
 %MQ_SSL_CRYPTO_HARDWARE_LENGTH = '256';
 %MQ_SSL_HANDSHAKE_STAGE_LENGTH = '32';
 %MQ_SSL_KEY_REPOSITORY_LENGTH  = '256';
 %MQ_SSL_PEER_NAME_LENGTH       = '1024';
 %MQ_SSL_SHORT_PEER_NAME_LENGTH = '256';
 %MQ_START_CODE_LENGTH          = '4';
 %MQ_STORAGE_CLASS_DESC_LENGTH  = '64';
 %MQ_STORAGE_CLASS_LENGTH       = '8';
 %MQ_SUB_IDENTITY_LENGTH        = '128';
 %MQ_TIME_LENGTH                = '8';
 %MQ_TOTAL_EXIT_DATA_LENGTH     = '999';
 %MQ_TOTAL_EXIT_NAME_LENGTH     = '999';
 %MQ_TP_NAME_LENGTH             = '64';
 %MQ_TRAN_INSTANCE_ID_LENGTH    = '16';
 %MQ_TRANSACTION_ID_LENGTH      = '4';
 %MQ_TRIGGER_DATA_LENGTH        = '64';
 %MQ_USER_ID_LENGTH             = '12';
 %MQ_XCF_GROUP_NAME_LENGTH      = '8';
 %MQ_XCF_MEMBER_NAME_LENGTH     = '16';
                                                                       
 /* Completion Codes */
 %dcl MQCC_OK      char;
 %dcl MQCC_WARNING char;
 %dcl MQCC_FAILED  char;
 %dcl MQCC_UNKNOWN char;
 %MQCC_OK      = '0';
 %MQCC_WARNING = '1';
 %MQCC_FAILED  = '2';
 %MQCC_UNKNOWN = '-1';
                                                                       
 /* Reason Codes */
 %dcl MQRC_NONE                      char;
 %dcl MQRC_APPL_FIRST                char;
 %dcl MQRC_APPL_LAST                 char;
 %dcl MQRC_ALIAS_BASE_Q_TYPE_ERROR   char;
 %dcl MQRC_ALREADY_CONNECTED         char;
 %dcl MQRC_BACKED_OUT                char;
 %dcl MQRC_BUFFER_ERROR              char;
 %dcl MQRC_BUFFER_LENGTH_ERROR       char;
 %dcl MQRC_CHAR_ATTR_LENGTH_ERROR    char;
 %dcl MQRC_CHAR_ATTRS_ERROR          char;
 %dcl MQRC_CHAR_ATTRS_TOO_SHORT      char;
 %dcl MQRC_CONNECTION_BROKEN         char;
 %dcl MQRC_DATA_LENGTH_ERROR         char;
 %dcl MQRC_DYNAMIC_Q_NAME_ERROR      char;
 %dcl MQRC_ENVIRONMENT_ERROR         char;
 %dcl MQRC_EXPIRY_ERROR              char;
 %dcl MQRC_FEEDBACK_ERROR            char;
 %dcl MQRC_GET_INHIBITED             char;
 %dcl MQRC_HANDLE_NOT_AVAILABLE      char;
 %dcl MQRC_HCONN_ERROR               char;
 %dcl MQRC_HOBJ_ERROR                char;
 %dcl MQRC_INHIBIT_VALUE_ERROR       char;
 %dcl MQRC_INT_ATTR_COUNT_ERROR      char;
 %dcl MQRC_INT_ATTR_COUNT_TOO_SMALL  char;
 %dcl MQRC_INT_ATTRS_ARRAY_ERROR     char;
 %dcl MQRC_SYNCPOINT_LIMIT_REACHED   char;
 %dcl MQRC_MAX_CONNS_LIMIT_REACHED   char;
 %dcl MQRC_MD_ERROR                  char;
 %dcl MQRC_MISSING_REPLY_TO_Q        char;
 %dcl MQRC_MSG_TYPE_ERROR            char;
 %dcl MQRC_MSG_TOO_BIG_FOR_Q         char;
 %dcl MQRC_MSG_TOO_BIG_FOR_Q_MGR     char;
 %dcl MQRC_NO_MSG_AVAILABLE          char;
 %dcl MQRC_NO_MSG_UNDER_CURSOR       char;
 %dcl MQRC_NOT_AUTHORIZED            char;
 %dcl MQRC_NOT_OPEN_FOR_BROWSE       char;
 %dcl MQRC_NOT_OPEN_FOR_INPUT        char;
 %dcl MQRC_NOT_OPEN_FOR_INQUIRE      char;
 %dcl MQRC_NOT_OPEN_FOR_OUTPUT       char;
 %dcl MQRC_NOT_OPEN_FOR_SET          char;
 %dcl MQRC_OBJECT_CHANGED            char;
 %dcl MQRC_OBJECT_IN_USE             char;
 %dcl MQRC_OBJECT_TYPE_ERROR         char;
 %dcl MQRC_OD_ERROR                  char;
 %dcl MQRC_OPTION_NOT_VALID_FOR_TYPE char;
 %dcl MQRC_OPTIONS_ERROR             char;
 %dcl MQRC_PERSISTENCE_ERROR         char;
 %dcl MQRC_PERSISTENT_NOT_ALLOWED    char;
 %dcl MQRC_PRIORITY_EXCEEDS_MAXIMUM  char;
 %dcl MQRC_PRIORITY_ERROR            char;
 %dcl MQRC_PUT_INHIBITED             char;
 %dcl MQRC_Q_DELETED                 char;
 %dcl MQRC_Q_FULL                    char;
 %dcl MQRC_Q_NOT_EMPTY               char;
 %dcl MQRC_Q_SPACE_NOT_AVAILABLE     char;
 %dcl MQRC_Q_TYPE_ERROR              char;
 %dcl MQRC_Q_MGR_NAME_ERROR          char;
 %dcl MQRC_Q_MGR_NOT_AVAILABLE       char;
 %dcl MQRC_REPORT_OPTIONS_ERROR      char;
 %dcl MQRC_SECOND_MARK_NOT_ALLOWED   char;
 %dcl MQRC_SECURITY_ERROR            char;
 %dcl MQRC_SELECTOR_COUNT_ERROR      char;
 %dcl MQRC_SELECTOR_LIMIT_EXCEEDED   char;
 %dcl MQRC_SELECTOR_ERROR            char;
 %dcl MQRC_SELECTOR_NOT_FOR_TYPE     char;
 %dcl MQRC_SIGNAL_OUTSTANDING        char;
 %dcl MQRC_SIGNAL_REQUEST_ACCEPTED   char;
 %dcl MQRC_STORAGE_NOT_AVAILABLE     char;
 %dcl MQRC_SYNCPOINT_NOT_AVAILABLE   char;
 %dcl MQRC_TRIGGER_CONTROL_ERROR     char;
 %dcl MQRC_TRIGGER_DEPTH_ERROR       char;
 %dcl MQRC_TRIGGER_MSG_PRIORITY_ERR  char;
 %dcl MQRC_TRIGGER_TYPE_ERROR        char;
 %dcl MQRC_TRUNCATED_MSG_ACCEPTED    char;
 %dcl MQRC_TRUNCATED_MSG_FAILED      char;
 %dcl MQRC_UNKNOWN_ALIAS_BASE_Q      char;
 %dcl MQRC_UNKNOWN_OBJECT_NAME       char;
 %dcl MQRC_UNKNOWN_OBJECT_Q_MGR      char;
 %dcl MQRC_UNKNOWN_REMOTE_Q_MGR      char;
 %dcl MQRC_WAIT_INTERVAL_ERROR       char;
 %dcl MQRC_XMIT_Q_TYPE_ERROR         char;
 %dcl MQRC_XMIT_Q_USAGE_ERROR        char;
 %dcl MQRC_NOT_OPEN_FOR_PASS_ALL     char;
 %dcl MQRC_NOT_OPEN_FOR_PASS_IDENT   char;
 %dcl MQRC_NOT_OPEN_FOR_SET_ALL      char;
 %dcl MQRC_NOT_OPEN_FOR_SET_IDENT    char;
 %dcl MQRC_CONTEXT_HANDLE_ERROR      char;
 %dcl MQRC_CONTEXT_NOT_AVAILABLE     char;
 %dcl MQRC_SIGNAL1_ERROR             char;
 %dcl MQRC_OBJECT_ALREADY_EXISTS     char;
 %dcl MQRC_OBJECT_DAMAGED            char;
 %dcl MQRC_RESOURCE_PROBLEM          char;
 %dcl MQRC_ANOTHER_Q_MGR_CONNECTED   char;
 %dcl MQRC_UNKNOWN_REPORT_OPTION     char;
 %dcl MQRC_STORAGE_CLASS_ERROR       char;
 %dcl MQRC_COD_NOT_VALID_FOR_XCF_Q   char;
 %dcl MQRC_SUPPRESSED_BY_EXIT        char;
 %dcl MQRC_FORMAT_ERROR              char;
 %dcl MQRC_SOURCE_CCSID_ERROR        char;
 %dcl MQRC_SOURCE_INTEGER_ENC_ERROR  char;
 %dcl MQRC_SOURCE_DECIMAL_ENC_ERROR  char;
 %dcl MQRC_SOURCE_FLOAT_ENC_ERROR    char;
 %dcl MQRC_TARGET_CCSID_ERROR        char;
 %dcl MQRC_TARGET_INTEGER_ENC_ERROR  char;
 %dcl MQRC_TARGET_DECIMAL_ENC_ERROR  char;
 %dcl MQRC_TARGET_FLOAT_ENC_ERROR    char;
 %dcl MQRC_NOT_CONVERTED             char;
 %dcl MQRC_CONVERTED_MSG_TOO_BIG     char;
 %dcl MQRC_TRUNCATED                 char;
 %dcl MQRC_NO_EXTERNAL_PARTICIPANTS  char;
 %dcl MQRC_PARTICIPANT_NOT_AVAILABLE char;
 %dcl MQRC_OUTCOME_MIXED             char;
 %dcl MQRC_OUTCOME_PENDING           char;
 %dcl MQRC_BRIDGE_STARTED            char;
 %dcl MQRC_BRIDGE_STOPPED            char;
 %dcl MQRC_ADAPTER_STORAGE_SHORTAGE  char;
 %dcl MQRC_UOW_IN_PROGRESS           char;
 %dcl MQRC_ADAPTER_CONN_LOAD_ERROR   char;
 %dcl MQRC_ADAPTER_SERV_LOAD_ERROR   char;
 %dcl MQRC_ADAPTER_DEFS_ERROR        char;
 %dcl MQRC_ADAPTER_DEFS_LOAD_ERROR   char;
 %dcl MQRC_ADAPTER_CONV_LOAD_ERROR   char;
 %dcl MQRC_BO_ERROR                  char;
 %dcl MQRC_DH_ERROR                  char;
 %dcl MQRC_MULTIPLE_REASONS          char;
 %dcl MQRC_OPEN_FAILED               char;
 %dcl MQRC_ADAPTER_DISC_LOAD_ERROR   char;
 %dcl MQRC_CNO_ERROR                 char;
 %dcl MQRC_CICS_WAIT_FAILED          char;
 %dcl MQRC_DLH_ERROR                 char;
 %dcl MQRC_HEADER_ERROR              char;
 %dcl MQRC_SOURCE_LENGTH_ERROR       char;
 %dcl MQRC_TARGET_LENGTH_ERROR       char;
 %dcl MQRC_SOURCE_BUFFER_ERROR       char;
 %dcl MQRC_TARGET_BUFFER_ERROR       char;
 %dcl MQRC_IIH_ERROR                 char;
 %dcl MQRC_PCF_ERROR                 char;
 %dcl MQRC_DBCS_ERROR                char;
 %dcl MQRC_OBJECT_NAME_ERROR         char;
 %dcl MQRC_OBJECT_Q_MGR_NAME_ERROR   char;
 %dcl MQRC_RECS_PRESENT_ERROR        char;
 %dcl MQRC_OBJECT_RECORDS_ERROR      char;
 %dcl MQRC_RESPONSE_RECORDS_ERROR    char;
 %dcl MQRC_ASID_MISMATCH             char;
 %dcl MQRC_PMO_RECORD_FLAGS_ERROR    char;
 %dcl MQRC_PUT_MSG_RECORDS_ERROR     char;
 %dcl MQRC_CONN_ID_IN_USE            char;
 %dcl MQRC_Q_MGR_QUIESCING           char;
 %dcl MQRC_Q_MGR_STOPPING            char;
 %dcl MQRC_DUPLICATE_RECOV_COORD     char;
 %dcl MQRC_PMO_ERROR                 char;
 %dcl MQRC_API_EXIT_NOT_FOUND        char;
 %dcl MQRC_API_EXIT_LOAD_ERROR       char;
 %dcl MQRC_REMOTE_Q_NAME_ERROR       char;
 %dcl MQRC_INCONSISTENT_PERSISTENCE  char;
 %dcl MQRC_GMO_ERROR                 char;
 %dcl MQRC_CICS_BRIDGE_RESTRICTION   char;
 %dcl MQRC_STOPPED_BY_CLUSTER_EXIT   char;
 %dcl MQRC_CLUSTER_RESOLUTION_ERROR  char;
 %dcl MQRC_CONVERTED_STRING_TOO_BIG  char;
 %dcl MQRC_TMC_ERROR                 char;
 %dcl MQRC_PAGESET_FULL              char;
 %dcl MQRC_STORAGE_MEDIUM_FULL       char;
 %dcl MQRC_PAGESET_ERROR             char;
 %dcl MQRC_NAME_NOT_VALID_FOR_TYPE   char;
 %dcl MQRC_UNEXPECTED_ERROR          char;
 %dcl MQRC_UNKNOWN_XMIT_Q            char;
 %dcl MQRC_UNKNOWN_DEF_XMIT_Q        char;
 %dcl MQRC_DEF_XMIT_Q_TYPE_ERROR     char;
 %dcl MQRC_DEF_XMIT_Q_USAGE_ERROR    char;
 %dcl MQRC_NAME_IN_USE               char;
 %dcl MQRC_CONNECTION_QUIESCING      char;
 %dcl MQRC_CONNECTION_STOPPING       char;
 %dcl MQRC_ADAPTER_NOT_AVAILABLE     char;
 %dcl MQRC_MSG_ID_ERROR              char;
 %dcl MQRC_CORREL_ID_ERROR           char;
 %dcl MQRC_FILE_SYSTEM_ERROR         char;
 %dcl MQRC_NO_MSG_LOCKED             char;
 %dcl MQRC_FILE_NOT_AUDITED          char;
 %dcl MQRC_CONNECTION_NOT_AUTHORIZED char;
 %dcl MQRC_MSG_TOO_BIG_FOR_CHANNEL   char;
 %dcl MQRC_CALL_IN_PROGRESS          char;
 %dcl MQRC_RMH_ERROR                 char;
 %dcl MQRC_Q_MGR_ACTIVE              char;
 %dcl MQRC_Q_MGR_NOT_ACTIVE          char;
 %dcl MQRC_Q_DEPTH_HIGH              char;
 %dcl MQRC_Q_DEPTH_LOW               char;
 %dcl MQRC_Q_SERVICE_INTERVAL_HIGH   char;
 %dcl MQRC_Q_SERVICE_INTERVAL_OK     char;
 %dcl MQRC_UNIT_OF_WORK_NOT_STARTED  char;
 %dcl MQRC_CHANNEL_AUTO_DEF_OK       char;
 %dcl MQRC_CHANNEL_AUTO_DEF_ERROR    char;
 %dcl MQRC_CFH_ERROR                 char;
 %dcl MQRC_CFIL_ERROR                char;
 %dcl MQRC_CFIN_ERROR                char;
 %dcl MQRC_CFSL_ERROR                char;
 %dcl MQRC_CFST_ERROR                char;
 %dcl MQRC_INCOMPLETE_GROUP          char;
 %dcl MQRC_INCOMPLETE_MSG            char;
 %dcl MQRC_INCONSISTENT_CCSIDS       char;
 %dcl MQRC_INCONSISTENT_ENCODINGS    char;
 %dcl MQRC_INCONSISTENT_UOW          char;
 %dcl MQRC_INVALID_MSG_UNDER_CURSOR  char;
 %dcl MQRC_MATCH_OPTIONS_ERROR       char;
 %dcl MQRC_MDE_ERROR                 char;
 %dcl MQRC_MSG_FLAGS_ERROR           char;
 %dcl MQRC_MSG_SEQ_NUMBER_ERROR      char;
 %dcl MQRC_OFFSET_ERROR              char;
 %dcl MQRC_ORIGINAL_LENGTH_ERROR     char;
 %dcl MQRC_SEGMENT_LENGTH_ZERO       char;
 %dcl MQRC_UOW_NOT_AVAILABLE         char;
 %dcl MQRC_WRONG_GMO_VERSION         char;
 %dcl MQRC_WRONG_MD_VERSION          char;
 %dcl MQRC_GROUP_ID_ERROR            char;
 %dcl MQRC_INCONSISTENT_BROWSE       char;
 %dcl MQRC_XQH_ERROR                 char;
 %dcl MQRC_SRC_ENV_ERROR             char;
 %dcl MQRC_SRC_NAME_ERROR            char;
 %dcl MQRC_DEST_ENV_ERROR            char;
 %dcl MQRC_DEST_NAME_ERROR           char;
 %dcl MQRC_TM_ERROR                  char;
 %dcl MQRC_CLUSTER_EXIT_ERROR        char;
 %dcl MQRC_CLUSTER_EXIT_LOAD_ERROR   char;
 %dcl MQRC_CLUSTER_PUT_INHIBITED     char;
 %dcl MQRC_CLUSTER_RESOURCE_ERROR    char;
 %dcl MQRC_NO_DESTINATIONS_AVAILABLE char;
 %dcl MQRC_CONN_TAG_IN_USE           char;
 %dcl MQRC_PARTIALLY_CONVERTED       char;
 %dcl MQRC_CONNECTION_ERROR          char;
 %dcl MQRC_OPTION_ENVIRONMENT_ERROR  char;
 %dcl MQRC_CD_ERROR                  char;
 %dcl MQRC_CLIENT_CONN_ERROR         char;
 %dcl MQRC_CHANNEL_STOPPED_BY_USER   char;
 %dcl MQRC_HCONFIG_ERROR             char;
 %dcl MQRC_FUNCTION_ERROR            char;
 %dcl MQRC_CHANNEL_STARTED           char;
 %dcl MQRC_CHANNEL_STOPPED           char;
 %dcl MQRC_CHANNEL_CONV_ERROR        char;
 %dcl MQRC_SERVICE_NOT_AVAILABLE     char;
 %dcl MQRC_INITIALIZATION_FAILED     char;
 %dcl MQRC_TERMINATION_FAILED        char;
 %dcl MQRC_UNKNOWN_Q_NAME            char;
 %dcl MQRC_SERVICE_ERROR             char;
 %dcl MQRC_Q_ALREADY_EXISTS          char;
 %dcl MQRC_USER_ID_NOT_AVAILABLE     char;
 %dcl MQRC_UNKNOWN_ENTITY            char;
 %dcl MQRC_UNKNOWN_AUTH_ENTITY       char;
 %dcl MQRC_UNKNOWN_REF_OBJECT        char;
 %dcl MQRC_CHANNEL_ACTIVATED         char;
 %dcl MQRC_CHANNEL_NOT_ACTIVATED     char;
 %dcl MQRC_UOW_CANCELED              char;
 %dcl MQRC_FUNCTION_NOT_SUPPORTED    char;
 %dcl MQRC_SELECTOR_TYPE_ERROR       char;
 %dcl MQRC_COMMAND_TYPE_ERROR        char;
 %dcl MQRC_MULTIPLE_INSTANCE_ERROR   char;
 %dcl MQRC_SYSTEM_ITEM_NOT_ALTERABLE char;
 %dcl MQRC_BAG_CONVERSION_ERROR      char;
 %dcl MQRC_SELECTOR_OUT_OF_RANGE     char;
 %dcl MQRC_SELECTOR_NOT_UNIQUE       char;
 %dcl MQRC_INDEX_NOT_PRESENT         char;
 %dcl MQRC_STRING_ERROR              char;
 %dcl MQRC_ENCODING_NOT_SUPPORTED    char;
 %dcl MQRC_SELECTOR_NOT_PRESENT      char;
 %dcl MQRC_OUT_SELECTOR_ERROR        char;
 %dcl MQRC_STRING_TRUNCATED          char;
 %dcl MQRC_SELECTOR_WRONG_TYPE       char;
 %dcl MQRC_INCONSISTENT_ITEM_TYPE    char;
 %dcl MQRC_INDEX_ERROR               char;
 %dcl MQRC_SYSTEM_BAG_NOT_ALTERABLE  char;
 %dcl MQRC_ITEM_COUNT_ERROR          char;
 %dcl MQRC_FORMAT_NOT_SUPPORTED      char;
 %dcl MQRC_SELECTOR_NOT_SUPPORTED    char;
 %dcl MQRC_ITEM_VALUE_ERROR          char;
 %dcl MQRC_HBAG_ERROR                char;
 %dcl MQRC_PARAMETER_MISSING         char;
 %dcl MQRC_CMD_SERVER_NOT_AVAILABLE  char;
 %dcl MQRC_STRING_LENGTH_ERROR       char;
 %dcl MQRC_INQUIRY_COMMAND_ERROR     char;
 %dcl MQRC_NESTED_BAG_NOT_SUPPORTED  char;
 %dcl MQRC_BAG_WRONG_TYPE            char;
 %dcl MQRC_ITEM_TYPE_ERROR           char;
 %dcl MQRC_SYSTEM_BAG_NOT_DELETABLE  char;
 %dcl MQRC_SYSTEM_ITEM_NOT_DELETABLE char;
 %dcl MQRC_CODED_CHAR_SET_ID_ERROR   char;
 %dcl MQRC_MSG_TOKEN_ERROR           char;
 %dcl MQRC_MISSING_WIH               char;
 %dcl MQRC_WIH_ERROR                 char;
 %dcl MQRC_RFH_ERROR                 char;
 %dcl MQRC_RFH_STRING_ERROR          char;
 %dcl MQRC_RFH_COMMAND_ERROR         char;
 %dcl MQRC_RFH_PARM_ERROR            char;
 %dcl MQRC_RFH_DUPLICATE_PARM        char;
 %dcl MQRC_RFH_PARM_MISSING          char;
 %dcl MQRC_CHAR_CONVERSION_ERROR     char;
 %dcl MQRC_UCS2_CONVERSION_ERROR     char;
 %dcl MQRC_DB2_NOT_AVAILABLE         char;
 %dcl MQRC_OBJECT_NOT_UNIQUE         char;
 %dcl MQRC_CONN_TAG_NOT_RELEASED     char;
 %dcl MQRC_CF_NOT_AVAILABLE          char;
 %dcl MQRC_CF_STRUC_IN_USE           char;
 %dcl MQRC_CF_STRUC_LIST_HDR_IN_USE  char;
 %dcl MQRC_CF_STRUC_AUTH_FAILED      char;
 %dcl MQRC_CF_STRUC_ERROR            char;
 %dcl MQRC_CONN_TAG_NOT_USABLE       char;
 %dcl MQRC_GLOBAL_UOW_CONFLICT       char;
 %dcl MQRC_LOCAL_UOW_CONFLICT        char;
 %dcl MQRC_HANDLE_IN_USE_FOR_UOW     char;
 %dcl MQRC_UOW_ENLISTMENT_ERROR      char;
 %dcl MQRC_UOW_MIX_NOT_SUPPORTED     char;
 %dcl MQRC_WXP_ERROR                 char;
 %dcl MQRC_CURRENT_RECORD_ERROR      char;
 %dcl MQRC_NEXT_OFFSET_ERROR         char;
 %dcl MQRC_NO_RECORD_AVAILABLE       char;
 %dcl MQRC_OBJECT_LEVEL_INCOMPATIBLE char;
 %dcl MQRC_NEXT_RECORD_ERROR         char;
 %dcl MQRC_BACKOUT_THRESHOLD_REACHED char;
 %dcl MQRC_MSG_NOT_MATCHED           char;
 %dcl MQRC_JMS_FORMAT_ERROR          char;
 %dcl MQRC_SEGMENTS_NOT_SUPPORTED    char;
 %dcl MQRC_WRONG_CF_LEVEL            char;
 %dcl MQRC_CONFIG_CREATE_OBJECT      char;
 %dcl MQRC_CONFIG_CHANGE_OBJECT      char;
 %dcl MQRC_CONFIG_DELETE_OBJECT      char;
 %dcl MQRC_CONFIG_REFRESH_OBJECT     char;
 %dcl MQRC_CHANNEL_SSL_ERROR         char;
 %dcl MQRC_API_EXIT_ERROR            char;
 %dcl MQRC_API_EXIT_INIT_ERROR       char;
 %dcl MQRC_API_EXIT_TERM_ERROR       char;
 %dcl MQRC_EXIT_REASON_ERROR         char;
 %dcl MQRC_RESERVED_VALUE_ERROR      char;
 %dcl MQRC_NO_DATA_AVAILABLE         char;
 %dcl MQRC_SCO_ERROR                 char;
 %dcl MQRC_KEY_REPOSITORY_ERROR      char;
 %dcl MQRC_CRYPTO_HARDWARE_ERROR     char;
 %dcl MQRC_AUTH_INFO_REC_COUNT_ERROR char;
 %dcl MQRC_AUTH_INFO_REC_ERROR       char;
 %dcl MQRC_AIR_ERROR                 char;
 %dcl MQRC_AUTH_INFO_TYPE_ERROR      char;
 %dcl MQRC_AUTH_INFO_CONN_NAME_ERROR char;
 %dcl MQRC_LDAP_USER_NAME_ERROR      char;
 %dcl MQRC_LDAP_USER_NAME_LENGTH_ERR char;
 %dcl MQRC_LDAP_PASSWORD_ERROR       char;
 %dcl MQRC_SSL_ALREADY_INITIALIZED   char;
 %dcl MQRC_SSL_CONFIG_ERROR          char;
 %dcl MQRC_SSL_INITIALIZATION_ERROR  char;
 %dcl MQRC_Q_INDEX_TYPE_ERROR        char;
 %dcl MQRC_SSL_NOT_ALLOWED           char;
 %dcl MQRC_JSSE_ERROR                char;
 %dcl MQRC_SSL_PEER_NAME_MISMATCH    char;
 %dcl MQRC_SSL_PEER_NAME_ERROR       char;
 %dcl MQRC_UNSUPPORTED_CIPHER_SUITE  char;
 %dcl MQRC_SSL_CERTIFICATE_REVOKED   char;
 %dcl MQRC_SSL_CERT_STORE_ERROR      char;
 %dcl MQRC_REOPEN_EXCL_INPUT_ERROR   char;
 %dcl MQRC_REOPEN_INQUIRE_ERROR      char;
 %dcl MQRC_REOPEN_SAVED_CONTEXT_ERR  char;
 %dcl MQRC_REOPEN_TEMPORARY_Q_ERROR  char;
 %dcl MQRC_ATTRIBUTE_LOCKED          char;
 %dcl MQRC_CURSOR_NOT_VALID          char;
 %dcl MQRC_ENCODING_ERROR            char;
 %dcl MQRC_STRUC_ID_ERROR            char;
 %dcl MQRC_NULL_POINTER              char;
 %dcl MQRC_NO_CONNECTION_REFERENCE   char;
 %dcl MQRC_NO_BUFFER                 char;
 %dcl MQRC_BINARY_DATA_LENGTH_ERROR  char;
 %dcl MQRC_BUFFER_NOT_AUTOMATIC      char;
 %dcl MQRC_INSUFFICIENT_BUFFER       char;
 %dcl MQRC_INSUFFICIENT_DATA         char;
 %dcl MQRC_DATA_TRUNCATED            char;
 %dcl MQRC_ZERO_LENGTH               char;
 %dcl MQRC_NEGATIVE_LENGTH           char;
 %dcl MQRC_NEGATIVE_OFFSET           char;
 %dcl MQRC_INCONSISTENT_FORMAT       char;
 %dcl MQRC_INCONSISTENT_OBJECT_STATE char;
 %dcl MQRC_CONTEXT_OBJECT_NOT_VALID  char;
 %dcl MQRC_CONTEXT_OPEN_ERROR        char;
 %dcl MQRC_STRUC_LENGTH_ERROR        char;
 %dcl MQRC_NOT_CONNECTED             char;
 %dcl MQRC_NOT_OPEN                  char;
 %dcl MQRC_DISTRIBUTION_LIST_EMPTY   char;
 %dcl MQRC_INCONSISTENT_OPEN_OPTIONS char;
 %dcl MQRC_WRONG_VERSION             char;
 %dcl MQRC_REFERENCE_ERROR           char;
 %dcl MQRC_CF_STRUC_FAILED           char;
 %MQRC_NONE                      = '0';
 %MQRC_APPL_FIRST                = '900';
 %MQRC_APPL_LAST                 = '999';
 %MQRC_ALIAS_BASE_Q_TYPE_ERROR   = '2001';
 %MQRC_ALREADY_CONNECTED         = '2002';
 %MQRC_BACKED_OUT                = '2003';
 %MQRC_BUFFER_ERROR              = '2004';
 %MQRC_BUFFER_LENGTH_ERROR       = '2005';
 %MQRC_CHAR_ATTR_LENGTH_ERROR    = '2006';
 %MQRC_CHAR_ATTRS_ERROR          = '2007';
 %MQRC_CHAR_ATTRS_TOO_SHORT      = '2008';
 %MQRC_CONNECTION_BROKEN         = '2009';
 %MQRC_DATA_LENGTH_ERROR         = '2010';
 %MQRC_DYNAMIC_Q_NAME_ERROR      = '2011';
 %MQRC_ENVIRONMENT_ERROR         = '2012';
 %MQRC_EXPIRY_ERROR              = '2013';
 %MQRC_FEEDBACK_ERROR            = '2014';
 %MQRC_GET_INHIBITED             = '2016';
 %MQRC_HANDLE_NOT_AVAILABLE      = '2017';
 %MQRC_HCONN_ERROR               = '2018';
 %MQRC_HOBJ_ERROR                = '2019';
 %MQRC_INHIBIT_VALUE_ERROR       = '2020';
 %MQRC_INT_ATTR_COUNT_ERROR      = '2021';
 %MQRC_INT_ATTR_COUNT_TOO_SMALL  = '2022';
 %MQRC_INT_ATTRS_ARRAY_ERROR     = '2023';
 %MQRC_SYNCPOINT_LIMIT_REACHED   = '2024';
 %MQRC_MAX_CONNS_LIMIT_REACHED   = '2025';
 %MQRC_MD_ERROR                  = '2026';
 %MQRC_MISSING_REPLY_TO_Q        = '2027';
 %MQRC_MSG_TYPE_ERROR            = '2029';
 %MQRC_MSG_TOO_BIG_FOR_Q         = '2030';
 %MQRC_MSG_TOO_BIG_FOR_Q_MGR     = '2031';
 %MQRC_NO_MSG_AVAILABLE          = '2033';
 %MQRC_NO_MSG_UNDER_CURSOR       = '2034';
 %MQRC_NOT_AUTHORIZED            = '2035';
 %MQRC_NOT_OPEN_FOR_BROWSE       = '2036';
 %MQRC_NOT_OPEN_FOR_INPUT        = '2037';
 %MQRC_NOT_OPEN_FOR_INQUIRE      = '2038';
 %MQRC_NOT_OPEN_FOR_OUTPUT       = '2039';
 %MQRC_NOT_OPEN_FOR_SET          = '2040';
 %MQRC_OBJECT_CHANGED            = '2041';
 %MQRC_OBJECT_IN_USE             = '2042';
 %MQRC_OBJECT_TYPE_ERROR         = '2043';
 %MQRC_OD_ERROR                  = '2044';
 %MQRC_OPTION_NOT_VALID_FOR_TYPE = '2045';
 %MQRC_OPTIONS_ERROR             = '2046';
 %MQRC_PERSISTENCE_ERROR         = '2047';
 %MQRC_PERSISTENT_NOT_ALLOWED    = '2048';
 %MQRC_PRIORITY_EXCEEDS_MAXIMUM  = '2049';
 %MQRC_PRIORITY_ERROR            = '2050';
 %MQRC_PUT_INHIBITED             = '2051';
 %MQRC_Q_DELETED                 = '2052';
 %MQRC_Q_FULL                    = '2053';
 %MQRC_Q_NOT_EMPTY               = '2055';
 %MQRC_Q_SPACE_NOT_AVAILABLE     = '2056';
 %MQRC_Q_TYPE_ERROR              = '2057';
 %MQRC_Q_MGR_NAME_ERROR          = '2058';
 %MQRC_Q_MGR_NOT_AVAILABLE       = '2059';
 %MQRC_REPORT_OPTIONS_ERROR      = '2061';
 %MQRC_SECOND_MARK_NOT_ALLOWED   = '2062';
 %MQRC_SECURITY_ERROR            = '2063';
 %MQRC_SELECTOR_COUNT_ERROR      = '2065';
 %MQRC_SELECTOR_LIMIT_EXCEEDED   = '2066';
 %MQRC_SELECTOR_ERROR            = '2067';
 %MQRC_SELECTOR_NOT_FOR_TYPE     = '2068';
 %MQRC_SIGNAL_OUTSTANDING        = '2069';
 %MQRC_SIGNAL_REQUEST_ACCEPTED   = '2070';
 %MQRC_STORAGE_NOT_AVAILABLE     = '2071';
 %MQRC_SYNCPOINT_NOT_AVAILABLE   = '2072';
 %MQRC_TRIGGER_CONTROL_ERROR     = '2075';
 %MQRC_TRIGGER_DEPTH_ERROR       = '2076';
 %MQRC_TRIGGER_MSG_PRIORITY_ERR  = '2077';
 %MQRC_TRIGGER_TYPE_ERROR        = '2078';
 %MQRC_TRUNCATED_MSG_ACCEPTED    = '2079';
 %MQRC_TRUNCATED_MSG_FAILED      = '2080';
 %MQRC_UNKNOWN_ALIAS_BASE_Q      = '2082';
 %MQRC_UNKNOWN_OBJECT_NAME       = '2085';
 %MQRC_UNKNOWN_OBJECT_Q_MGR      = '2086';
 %MQRC_UNKNOWN_REMOTE_Q_MGR      = '2087';
 %MQRC_WAIT_INTERVAL_ERROR       = '2090';
 %MQRC_XMIT_Q_TYPE_ERROR         = '2091';
 %MQRC_XMIT_Q_USAGE_ERROR        = '2092';
 %MQRC_NOT_OPEN_FOR_PASS_ALL     = '2093';
 %MQRC_NOT_OPEN_FOR_PASS_IDENT   = '2094';
 %MQRC_NOT_OPEN_FOR_SET_ALL      = '2095';
 %MQRC_NOT_OPEN_FOR_SET_IDENT    = '2096';
 %MQRC_CONTEXT_HANDLE_ERROR      = '2097';
 %MQRC_CONTEXT_NOT_AVAILABLE     = '2098';
 %MQRC_SIGNAL1_ERROR             = '2099';
 %MQRC_OBJECT_ALREADY_EXISTS     = '2100';
 %MQRC_OBJECT_DAMAGED            = '2101';
 %MQRC_RESOURCE_PROBLEM          = '2102';
 %MQRC_ANOTHER_Q_MGR_CONNECTED   = '2103';
 %MQRC_UNKNOWN_REPORT_OPTION     = '2104';
 %MQRC_STORAGE_CLASS_ERROR       = '2105';
 %MQRC_COD_NOT_VALID_FOR_XCF_Q   = '2106';
 %MQRC_SUPPRESSED_BY_EXIT        = '2109';
 %MQRC_FORMAT_ERROR              = '2110';
 %MQRC_SOURCE_CCSID_ERROR        = '2111';
 %MQRC_SOURCE_INTEGER_ENC_ERROR  = '2112';
 %MQRC_SOURCE_DECIMAL_ENC_ERROR  = '2113';
 %MQRC_SOURCE_FLOAT_ENC_ERROR    = '2114';
 %MQRC_TARGET_CCSID_ERROR        = '2115';
 %MQRC_TARGET_INTEGER_ENC_ERROR  = '2116';
 %MQRC_TARGET_DECIMAL_ENC_ERROR  = '2117';
 %MQRC_TARGET_FLOAT_ENC_ERROR    = '2118';
 %MQRC_NOT_CONVERTED             = '2119';
 %MQRC_CONVERTED_MSG_TOO_BIG     = '2120';
 %MQRC_TRUNCATED                 = '2120';
 %MQRC_NO_EXTERNAL_PARTICIPANTS  = '2121';
 %MQRC_PARTICIPANT_NOT_AVAILABLE = '2122';
 %MQRC_OUTCOME_MIXED             = '2123';
 %MQRC_OUTCOME_PENDING           = '2124';
 %MQRC_BRIDGE_STARTED            = '2125';
 %MQRC_BRIDGE_STOPPED            = '2126';
 %MQRC_ADAPTER_STORAGE_SHORTAGE  = '2127';
 %MQRC_UOW_IN_PROGRESS           = '2128';
 %MQRC_ADAPTER_CONN_LOAD_ERROR   = '2129';
 %MQRC_ADAPTER_SERV_LOAD_ERROR   = '2130';
 %MQRC_ADAPTER_DEFS_ERROR        = '2131';
 %MQRC_ADAPTER_DEFS_LOAD_ERROR   = '2132';
 %MQRC_ADAPTER_CONV_LOAD_ERROR   = '2133';
 %MQRC_BO_ERROR                  = '2134';
 %MQRC_DH_ERROR                  = '2135';
 %MQRC_MULTIPLE_REASONS          = '2136';
 %MQRC_OPEN_FAILED               = '2137';
 %MQRC_ADAPTER_DISC_LOAD_ERROR   = '2138';
 %MQRC_CNO_ERROR                 = '2139';
 %MQRC_CICS_WAIT_FAILED          = '2140';
 %MQRC_DLH_ERROR                 = '2141';
 %MQRC_HEADER_ERROR              = '2142';
 %MQRC_SOURCE_LENGTH_ERROR       = '2143';
 %MQRC_TARGET_LENGTH_ERROR       = '2144';
 %MQRC_SOURCE_BUFFER_ERROR       = '2145';
 %MQRC_TARGET_BUFFER_ERROR       = '2146';
 %MQRC_IIH_ERROR                 = '2148';
 %MQRC_PCF_ERROR                 = '2149';
 %MQRC_DBCS_ERROR                = '2150';
 %MQRC_OBJECT_NAME_ERROR         = '2152';
 %MQRC_OBJECT_Q_MGR_NAME_ERROR   = '2153';
 %MQRC_RECS_PRESENT_ERROR        = '2154';
 %MQRC_OBJECT_RECORDS_ERROR      = '2155';
 %MQRC_RESPONSE_RECORDS_ERROR    = '2156';
 %MQRC_ASID_MISMATCH             = '2157';
 %MQRC_PMO_RECORD_FLAGS_ERROR    = '2158';
 %MQRC_PUT_MSG_RECORDS_ERROR     = '2159';
 %MQRC_CONN_ID_IN_USE            = '2160';
 %MQRC_Q_MGR_QUIESCING           = '2161';
 %MQRC_Q_MGR_STOPPING            = '2162';
 %MQRC_DUPLICATE_RECOV_COORD     = '2163';
 %MQRC_PMO_ERROR                 = '2173';
 %MQRC_API_EXIT_NOT_FOUND        = '2182';
 %MQRC_API_EXIT_LOAD_ERROR       = '2183';
 %MQRC_REMOTE_Q_NAME_ERROR       = '2184';
 %MQRC_INCONSISTENT_PERSISTENCE  = '2185';
 %MQRC_GMO_ERROR                 = '2186';
 %MQRC_CICS_BRIDGE_RESTRICTION   = '2187';
 %MQRC_STOPPED_BY_CLUSTER_EXIT   = '2188';
 %MQRC_CLUSTER_RESOLUTION_ERROR  = '2189';
 %MQRC_CONVERTED_STRING_TOO_BIG  = '2190';
 %MQRC_TMC_ERROR                 = '2191';
 %MQRC_PAGESET_FULL              = '2192';
 %MQRC_STORAGE_MEDIUM_FULL       = '2192';
 %MQRC_PAGESET_ERROR             = '2193';
 %MQRC_NAME_NOT_VALID_FOR_TYPE   = '2194';
 %MQRC_UNEXPECTED_ERROR          = '2195';
 %MQRC_UNKNOWN_XMIT_Q            = '2196';
 %MQRC_UNKNOWN_DEF_XMIT_Q        = '2197';
 %MQRC_DEF_XMIT_Q_TYPE_ERROR     = '2198';
 %MQRC_DEF_XMIT_Q_USAGE_ERROR    = '2199';
 %MQRC_NAME_IN_USE               = '2201';
 %MQRC_CONNECTION_QUIESCING      = '2202';
 %MQRC_CONNECTION_STOPPING       = '2203';
 %MQRC_ADAPTER_NOT_AVAILABLE     = '2204';
 %MQRC_MSG_ID_ERROR              = '2206';
 %MQRC_CORREL_ID_ERROR           = '2207';
 %MQRC_FILE_SYSTEM_ERROR         = '2208';
 %MQRC_NO_MSG_LOCKED             = '2209';
 %MQRC_FILE_NOT_AUDITED          = '2216';
 %MQRC_CONNECTION_NOT_AUTHORIZED = '2217';
 %MQRC_MSG_TOO_BIG_FOR_CHANNEL   = '2218';
 %MQRC_CALL_IN_PROGRESS          = '2219';
 %MQRC_RMH_ERROR                 = '2220';
 %MQRC_Q_MGR_ACTIVE              = '2222';
 %MQRC_Q_MGR_NOT_ACTIVE          = '2223';
 %MQRC_Q_DEPTH_HIGH              = '2224';
 %MQRC_Q_DEPTH_LOW               = '2225';
 %MQRC_Q_SERVICE_INTERVAL_HIGH   = '2226';
 %MQRC_Q_SERVICE_INTERVAL_OK     = '2227';
 %MQRC_UNIT_OF_WORK_NOT_STARTED  = '2232';
 %MQRC_CHANNEL_AUTO_DEF_OK       = '2233';
 %MQRC_CHANNEL_AUTO_DEF_ERROR    = '2234';
 %MQRC_CFH_ERROR                 = '2235';
 %MQRC_CFIL_ERROR                = '2236';
 %MQRC_CFIN_ERROR                = '2237';
 %MQRC_CFSL_ERROR                = '2238';
 %MQRC_CFST_ERROR                = '2239';
 %MQRC_INCOMPLETE_GROUP          = '2241';
 %MQRC_INCOMPLETE_MSG            = '2242';
 %MQRC_INCONSISTENT_CCSIDS       = '2243';
 %MQRC_INCONSISTENT_ENCODINGS    = '2244';
 %MQRC_INCONSISTENT_UOW          = '2245';
 %MQRC_INVALID_MSG_UNDER_CURSOR  = '2246';
 %MQRC_MATCH_OPTIONS_ERROR       = '2247';
 %MQRC_MDE_ERROR                 = '2248';
 %MQRC_MSG_FLAGS_ERROR           = '2249';
 %MQRC_MSG_SEQ_NUMBER_ERROR      = '2250';
 %MQRC_OFFSET_ERROR              = '2251';
 %MQRC_ORIGINAL_LENGTH_ERROR     = '2252';
 %MQRC_SEGMENT_LENGTH_ZERO       = '2253';
 %MQRC_UOW_NOT_AVAILABLE         = '2255';
 %MQRC_WRONG_GMO_VERSION         = '2256';
 %MQRC_WRONG_MD_VERSION          = '2257';
 %MQRC_GROUP_ID_ERROR            = '2258';
 %MQRC_INCONSISTENT_BROWSE       = '2259';
 %MQRC_XQH_ERROR                 = '2260';
 %MQRC_SRC_ENV_ERROR             = '2261';
 %MQRC_SRC_NAME_ERROR            = '2262';
 %MQRC_DEST_ENV_ERROR            = '2263';
 %MQRC_DEST_NAME_ERROR           = '2264';
 %MQRC_TM_ERROR                  = '2265';
 %MQRC_CLUSTER_EXIT_ERROR        = '2266';
 %MQRC_CLUSTER_EXIT_LOAD_ERROR   = '2267';
 %MQRC_CLUSTER_PUT_INHIBITED     = '2268';
 %MQRC_CLUSTER_RESOURCE_ERROR    = '2269';
 %MQRC_NO_DESTINATIONS_AVAILABLE = '2270';
 %MQRC_CONN_TAG_IN_USE           = '2271';
 %MQRC_PARTIALLY_CONVERTED       = '2272';
 %MQRC_CONNECTION_ERROR          = '2273';
 %MQRC_OPTION_ENVIRONMENT_ERROR  = '2274';
 %MQRC_CD_ERROR                  = '2277';
 %MQRC_CLIENT_CONN_ERROR         = '2278';
 %MQRC_CHANNEL_STOPPED_BY_USER   = '2279';
 %MQRC_HCONFIG_ERROR             = '2280';
 %MQRC_FUNCTION_ERROR            = '2281';
 %MQRC_CHANNEL_STARTED           = '2282';
 %MQRC_CHANNEL_STOPPED           = '2283';
 %MQRC_CHANNEL_CONV_ERROR        = '2284';
 %MQRC_SERVICE_NOT_AVAILABLE     = '2285';
 %MQRC_INITIALIZATION_FAILED     = '2286';
 %MQRC_TERMINATION_FAILED        = '2287';
 %MQRC_UNKNOWN_Q_NAME            = '2288';
 %MQRC_SERVICE_ERROR             = '2289';
 %MQRC_Q_ALREADY_EXISTS          = '2290';
 %MQRC_USER_ID_NOT_AVAILABLE     = '2291';
 %MQRC_UNKNOWN_ENTITY            = '2292';
 %MQRC_UNKNOWN_AUTH_ENTITY       = '2293';
 %MQRC_UNKNOWN_REF_OBJECT        = '2294';
 %MQRC_CHANNEL_ACTIVATED         = '2295';
 %MQRC_CHANNEL_NOT_ACTIVATED     = '2296';
 %MQRC_UOW_CANCELED              = '2297';
 %MQRC_FUNCTION_NOT_SUPPORTED    = '2298';
 %MQRC_SELECTOR_TYPE_ERROR       = '2299';
 %MQRC_COMMAND_TYPE_ERROR        = '2300';
 %MQRC_MULTIPLE_INSTANCE_ERROR   = '2301';
 %MQRC_SYSTEM_ITEM_NOT_ALTERABLE = '2302';
 %MQRC_BAG_CONVERSION_ERROR      = '2303';
 %MQRC_SELECTOR_OUT_OF_RANGE     = '2304';
 %MQRC_SELECTOR_NOT_UNIQUE       = '2305';
 %MQRC_INDEX_NOT_PRESENT         = '2306';
 %MQRC_STRING_ERROR              = '2307';
 %MQRC_ENCODING_NOT_SUPPORTED    = '2308';
 %MQRC_SELECTOR_NOT_PRESENT      = '2309';
 %MQRC_OUT_SELECTOR_ERROR        = '2310';
 %MQRC_STRING_TRUNCATED          = '2311';
 %MQRC_SELECTOR_WRONG_TYPE       = '2312';
 %MQRC_INCONSISTENT_ITEM_TYPE    = '2313';
 %MQRC_INDEX_ERROR               = '2314';
 %MQRC_SYSTEM_BAG_NOT_ALTERABLE  = '2315';
 %MQRC_ITEM_COUNT_ERROR          = '2316';
 %MQRC_FORMAT_NOT_SUPPORTED      = '2317';
 %MQRC_SELECTOR_NOT_SUPPORTED    = '2318';
 %MQRC_ITEM_VALUE_ERROR          = '2319';
 %MQRC_HBAG_ERROR                = '2320';
 %MQRC_PARAMETER_MISSING         = '2321';
 %MQRC_CMD_SERVER_NOT_AVAILABLE  = '2322';
 %MQRC_STRING_LENGTH_ERROR       = '2323';
 %MQRC_INQUIRY_COMMAND_ERROR     = '2324';
 %MQRC_NESTED_BAG_NOT_SUPPORTED  = '2325';
 %MQRC_BAG_WRONG_TYPE            = '2326';
 %MQRC_ITEM_TYPE_ERROR           = '2327';
 %MQRC_SYSTEM_BAG_NOT_DELETABLE  = '2328';
 %MQRC_SYSTEM_ITEM_NOT_DELETABLE = '2329';
 %MQRC_CODED_CHAR_SET_ID_ERROR   = '2330';
 %MQRC_MSG_TOKEN_ERROR           = '2331';
 %MQRC_MISSING_WIH               = '2332';
 %MQRC_WIH_ERROR                 = '2333';
 %MQRC_RFH_ERROR                 = '2334';
 %MQRC_RFH_STRING_ERROR          = '2335';
 %MQRC_RFH_COMMAND_ERROR         = '2336';
 %MQRC_RFH_PARM_ERROR            = '2337';
 %MQRC_RFH_DUPLICATE_PARM        = '2338';
 %MQRC_RFH_PARM_MISSING          = '2339';
 %MQRC_CHAR_CONVERSION_ERROR     = '2340';
 %MQRC_UCS2_CONVERSION_ERROR     = '2341';
 %MQRC_DB2_NOT_AVAILABLE         = '2342';
 %MQRC_OBJECT_NOT_UNIQUE         = '2343';
 %MQRC_CONN_TAG_NOT_RELEASED     = '2344';
 %MQRC_CF_NOT_AVAILABLE          = '2345';
 %MQRC_CF_STRUC_IN_USE           = '2346';
 %MQRC_CF_STRUC_LIST_HDR_IN_USE  = '2347';
 %MQRC_CF_STRUC_AUTH_FAILED      = '2348';
 %MQRC_CF_STRUC_ERROR            = '2349';
 %MQRC_CONN_TAG_NOT_USABLE       = '2350';
 %MQRC_GLOBAL_UOW_CONFLICT       = '2351';
 %MQRC_LOCAL_UOW_CONFLICT        = '2352';
 %MQRC_HANDLE_IN_USE_FOR_UOW     = '2353';
 %MQRC_UOW_ENLISTMENT_ERROR      = '2354';
 %MQRC_UOW_MIX_NOT_SUPPORTED     = '2355';
 %MQRC_WXP_ERROR                 = '2356';
 %MQRC_CURRENT_RECORD_ERROR      = '2357';
 %MQRC_NEXT_OFFSET_ERROR         = '2358';
 %MQRC_NO_RECORD_AVAILABLE       = '2359';
 %MQRC_OBJECT_LEVEL_INCOMPATIBLE = '2360';
 %MQRC_NEXT_RECORD_ERROR         = '2361';
 %MQRC_BACKOUT_THRESHOLD_REACHED = '2362';
 %MQRC_MSG_NOT_MATCHED           = '2363';
 %MQRC_JMS_FORMAT_ERROR          = '2364';
 %MQRC_SEGMENTS_NOT_SUPPORTED    = '2365';
 %MQRC_WRONG_CF_LEVEL            = '2366';
 %MQRC_CONFIG_CREATE_OBJECT      = '2367';
 %MQRC_CONFIG_CHANGE_OBJECT      = '2368';
 %MQRC_CONFIG_DELETE_OBJECT      = '2369';
 %MQRC_CONFIG_REFRESH_OBJECT     = '2370';
 %MQRC_CHANNEL_SSL_ERROR         = '2371';
 %MQRC_CF_STRUC_FAILED           = '2373';
 %MQRC_API_EXIT_ERROR            = '2374';
 %MQRC_API_EXIT_INIT_ERROR       = '2375';
 %MQRC_API_EXIT_TERM_ERROR       = '2376';
 %MQRC_EXIT_REASON_ERROR         = '2377';
 %MQRC_RESERVED_VALUE_ERROR      = '2378';
 %MQRC_NO_DATA_AVAILABLE         = '2379';
 %MQRC_SCO_ERROR                 = '2380';
 %MQRC_KEY_REPOSITORY_ERROR      = '2381';
 %MQRC_CRYPTO_HARDWARE_ERROR     = '2382';
 %MQRC_AUTH_INFO_REC_COUNT_ERROR = '2383';
 %MQRC_AUTH_INFO_REC_ERROR       = '2384';
 %MQRC_AIR_ERROR                 = '2385';
 %MQRC_AUTH_INFO_TYPE_ERROR      = '2386';
 %MQRC_AUTH_INFO_CONN_NAME_ERROR = '2387';
 %MQRC_LDAP_USER_NAME_ERROR      = '2388';
 %MQRC_LDAP_USER_NAME_LENGTH_ERR = '2389';
 %MQRC_LDAP_PASSWORD_ERROR       = '2390';
 %MQRC_SSL_ALREADY_INITIALIZED   = '2391';
 %MQRC_SSL_CONFIG_ERROR          = '2392';
 %MQRC_SSL_INITIALIZATION_ERROR  = '2393';
 %MQRC_Q_INDEX_TYPE_ERROR        = '2394';
 %MQRC_SSL_NOT_ALLOWED           = '2396';
 %MQRC_JSSE_ERROR                = '2397';
 %MQRC_SSL_PEER_NAME_MISMATCH    = '2398';
 %MQRC_SSL_PEER_NAME_ERROR       = '2399';
 %MQRC_UNSUPPORTED_CIPHER_SUITE  = '2400';
 %MQRC_SSL_CERTIFICATE_REVOKED   = '2401';
 %MQRC_SSL_CERT_STORE_ERROR      = '2402';
 %MQRC_REOPEN_EXCL_INPUT_ERROR   = '6100';
 %MQRC_REOPEN_INQUIRE_ERROR      = '6101';
 %MQRC_REOPEN_SAVED_CONTEXT_ERR  = '6102';
 %MQRC_REOPEN_TEMPORARY_Q_ERROR  = '6103';
 %MQRC_ATTRIBUTE_LOCKED          = '6104';
 %MQRC_CURSOR_NOT_VALID          = '6105';
 %MQRC_ENCODING_ERROR            = '6106';
 %MQRC_STRUC_ID_ERROR            = '6107';
 %MQRC_NULL_POINTER              = '6108';
 %MQRC_NO_CONNECTION_REFERENCE   = '6109';
 %MQRC_NO_BUFFER                 = '6110';
 %MQRC_BINARY_DATA_LENGTH_ERROR  = '6111';
 %MQRC_BUFFER_NOT_AUTOMATIC      = '6112';
 %MQRC_INSUFFICIENT_BUFFER       = '6113';
 %MQRC_INSUFFICIENT_DATA         = '6114';
 %MQRC_DATA_TRUNCATED            = '6115';
 %MQRC_ZERO_LENGTH               = '6116';
 %MQRC_NEGATIVE_LENGTH           = '6117';
 %MQRC_NEGATIVE_OFFSET           = '6118';
 %MQRC_INCONSISTENT_FORMAT       = '6119';
 %MQRC_INCONSISTENT_OBJECT_STATE = '6120';
 %MQRC_CONTEXT_OBJECT_NOT_VALID  = '6121';
 %MQRC_CONTEXT_OPEN_ERROR        = '6122';
 %MQRC_STRUC_LENGTH_ERROR        = '6123';
 %MQRC_NOT_CONNECTED             = '6124';
 %MQRC_NOT_OPEN                  = '6125';
 %MQRC_DISTRIBUTION_LIST_EMPTY   = '6126';
 %MQRC_INCONSISTENT_OPEN_OPTIONS = '6127';
 %MQRC_WRONG_VERSION             = '6128';
 %MQRC_REFERENCE_ERROR           = '6129';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Queue Attributes                              */
 /********************************************************************/
                                                                       
 /* Queue Types */
 %dcl MQQT_LOCAL   char;
 %dcl MQQT_MODEL   char;
 %dcl MQQT_ALIAS   char;
 %dcl MQQT_REMOTE  char;
 %dcl MQQT_CLUSTER char;
 %MQQT_LOCAL   = '1';
 %MQQT_MODEL   = '2';
 %MQQT_ALIAS   = '3';
 %MQQT_REMOTE  = '6';
 %MQQT_CLUSTER = '7';
                                                                       
 /* Cluster Queue Types */
 %dcl MQCQT_LOCAL_Q     char;
 %dcl MQCQT_ALIAS_Q     char;
 %dcl MQCQT_REMOTE_Q    char;
 %dcl MQCQT_Q_MGR_ALIAS char;
 %MQCQT_LOCAL_Q     = '1';
 %MQCQT_ALIAS_Q     = '2';
 %MQCQT_REMOTE_Q    = '3';
 %MQCQT_Q_MGR_ALIAS = '4';
                                                                       
 /* Extended Queue Types */
 %dcl MQQT_ALL char;
 %MQQT_ALL = '1001';
                                                                       
 /* Queue Definition Types */
 %dcl MQQDT_PREDEFINED        char;
 %dcl MQQDT_PERMANENT_DYNAMIC char;
 %dcl MQQDT_TEMPORARY_DYNAMIC char;
 %dcl MQQDT_SHARED_DYNAMIC    char;
 %MQQDT_PREDEFINED        = '1';
 %MQQDT_PERMANENT_DYNAMIC = '2';
 %MQQDT_TEMPORARY_DYNAMIC = '3';
 %MQQDT_SHARED_DYNAMIC    = '4';
                                                                       
 /* Inhibit Get */
 %dcl MQQA_GET_INHIBITED char;
 %dcl MQQA_GET_ALLOWED   char;
 %MQQA_GET_INHIBITED = '1';
 %MQQA_GET_ALLOWED   = '0';
                                                                       
 /* Inhibit Put */
 %dcl MQQA_PUT_INHIBITED char;
 %dcl MQQA_PUT_ALLOWED   char;
 %MQQA_PUT_INHIBITED = '1';
 %MQQA_PUT_ALLOWED   = '0';
                                                                       
 /* Queue Shareability */
 %dcl MQQA_SHAREABLE     char;
 %dcl MQQA_NOT_SHAREABLE char;
 %MQQA_SHAREABLE     = '1';
 %MQQA_NOT_SHAREABLE = '0';
                                                                       
 /* Back-Out Hardening */
 %dcl MQQA_BACKOUT_HARDENED     char;
 %dcl MQQA_BACKOUT_NOT_HARDENED char;
 %MQQA_BACKOUT_HARDENED     = '1';
 %MQQA_BACKOUT_NOT_HARDENED = '0';
                                                                       
 /* Message Delivery Sequence */
 %dcl MQMDS_PRIORITY char;
 %dcl MQMDS_FIFO     char;
 %MQMDS_PRIORITY = '0';
 %MQMDS_FIFO     = '1';
                                                                       
 /* Trigger Control */
 %dcl MQTC_OFF char;
 %dcl MQTC_ON  char;
 %MQTC_OFF = '0';
 %MQTC_ON  = '1';
                                                                       
 /* Trigger Types */
 %dcl MQTT_NONE  char;
 %dcl MQTT_FIRST char;
 %dcl MQTT_EVERY char;
 %dcl MQTT_DEPTH char;
 %MQTT_NONE  = '0';
 %MQTT_FIRST = '1';
 %MQTT_EVERY = '2';
 %MQTT_DEPTH = '3';
                                                                       
 /* Queue Usage */
 %dcl MQUS_NORMAL       char;
 %dcl MQUS_TRANSMISSION char;
 %MQUS_NORMAL       = '0';
 %MQUS_TRANSMISSION = '1';
                                                                       
 /* Distribution Lists */
 %dcl MQDL_SUPPORTED     char;
 %dcl MQDL_NOT_SUPPORTED char;
 %MQDL_SUPPORTED     = '1';
 %MQDL_NOT_SUPPORTED = '0';
                                                                       
 /* Index Type */
 %dcl MQIT_NONE      char;
 %dcl MQIT_MSG_ID    char;
 %dcl MQIT_CORREL_ID char;
 %dcl MQIT_MSG_TOKEN char;
 %dcl MQIT_GROUP_ID  char;
 %MQIT_NONE      = '0';
 %MQIT_MSG_ID    = '1';
 %MQIT_CORREL_ID = '2';
 %MQIT_MSG_TOKEN = '4';
 %MQIT_GROUP_ID  = '5';
                                                                       
 /* Default Bind */
 %dcl MQBND_BIND_ON_OPEN   char;
 %dcl MQBND_BIND_NOT_FIXED char;
 %MQBND_BIND_ON_OPEN   = '0';
 %MQBND_BIND_NOT_FIXED = '1';
                                                                       
 /* Queue Sharing Group Disposition */
 %dcl MQQSGD_Q_MGR  char;
 %dcl MQQSGD_COPY   char;
 %dcl MQQSGD_SHARED char;
 %dcl MQQSGD_GROUP  char;
 %MQQSGD_Q_MGR  = '0';
 %MQQSGD_COPY   = '1';
 %MQQSGD_SHARED = '2';
 %MQQSGD_GROUP  = '3';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Namelist Attributes                           */
 /********************************************************************/
                                                                       
 /* Name Count */
 %dcl MQNC_MAX_NAMELIST_NAME_COUNT char;
 %MQNC_MAX_NAMELIST_NAME_COUNT = '256';
                                                                       
 /* Namelist Type */
 %dcl MQNT_NONE      char;
 %dcl MQNT_Q         char;
 %dcl MQNT_CLUSTER   char;
 %dcl MQNT_AUTH_INFO char;
 %dcl MQNT_ALL       char;
 %MQNT_NONE      = '0';
 %MQNT_Q         = '1';
 %MQNT_CLUSTER   = '2';
 %MQNT_AUTH_INFO = '4';
 %MQNT_ALL       = '1001';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Process-Definition Attributes                 */
 /********************************************************************/
                                                                       
 /* Application Type */
 /* See values for "Put Application Type" under MQMD */
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Authentication-Information Attributes         */
 /********************************************************************/
                                                                       
 /* Authentication Information Type */
 /* See values for "Authentication Information Type" under MQAIR */
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Queue-Manager Attributes                      */
 /********************************************************************/
                                                                       
 /* Channel Auto Definition */
 %dcl MQCHAD_DISABLED char;
 %dcl MQCHAD_ENABLED  char;
 %MQCHAD_DISABLED = '0';
 %MQCHAD_ENABLED  = '1';
                                                                       
 /* Command Level */
 %dcl MQCMDL_LEVEL_1   char;
 %dcl MQCMDL_LEVEL_101 char;
 %dcl MQCMDL_LEVEL_110 char;
 %dcl MQCMDL_LEVEL_114 char;
 %dcl MQCMDL_LEVEL_120 char;
 %dcl MQCMDL_LEVEL_200 char;
 %dcl MQCMDL_LEVEL_201 char;
 %dcl MQCMDL_LEVEL_210 char;
 %dcl MQCMDL_LEVEL_220 char;
 %dcl MQCMDL_LEVEL_221 char;
 %dcl MQCMDL_LEVEL_320 char;
 %dcl MQCMDL_LEVEL_420 char;
 %dcl MQCMDL_LEVEL_500 char;
 %dcl MQCMDL_LEVEL_510 char;
 %dcl MQCMDL_LEVEL_520 char;
 %dcl MQCMDL_LEVEL_530 char;
 %MQCMDL_LEVEL_1   = '100';
 %MQCMDL_LEVEL_101 = '101';
 %MQCMDL_LEVEL_110 = '110';
 %MQCMDL_LEVEL_114 = '114';
 %MQCMDL_LEVEL_120 = '120';
 %MQCMDL_LEVEL_200 = '200';
 %MQCMDL_LEVEL_201 = '201';
 %MQCMDL_LEVEL_210 = '210';
 %MQCMDL_LEVEL_220 = '220';
 %MQCMDL_LEVEL_221 = '221';
 %MQCMDL_LEVEL_320 = '320';
 %MQCMDL_LEVEL_420 = '420';
 %MQCMDL_LEVEL_500 = '500';
 %MQCMDL_LEVEL_510 = '510';
 %MQCMDL_LEVEL_520 = '520';
 %MQCMDL_LEVEL_530 = '530';
                                                                       
 /* Distribution Lists */
 /* See values for "Distribution Lists" under Queue Attributes */
                                                                       
 /* Expiration Scan Interval */
 %dcl MQEXPI_OFF char;
 %MQEXPI_OFF = '0';
                                                                       
 /* Intra-Group Queuing */
 %dcl MQIGQ_DISABLED char;
 %dcl MQIGQ_ENABLED  char;
 %MQIGQ_DISABLED = '0';
 %MQIGQ_ENABLED  = '1';
                                                                       
 /* Intra-Group Queuing Put Authority */
 %dcl MQIGQPA_DEFAULT          char;
 %dcl MQIGQPA_CONTEXT          char;
 %dcl MQIGQPA_ONLY_IGQ         char;
 %dcl MQIGQPA_ALTERNATE_OR_IGQ char;
 %MQIGQPA_DEFAULT          = '1';
 %MQIGQPA_CONTEXT          = '2';
 %MQIGQPA_ONLY_IGQ         = '3';
 %MQIGQPA_ALTERNATE_OR_IGQ = '4';
                                                                       
 /* Platform */
 %dcl MQPL_MVS        char;
 %dcl MQPL_OS390      char;
 %dcl MQPL_ZOS        char;
 %dcl MQPL_OS2        char;
 %dcl MQPL_AIX        char;
 %dcl MQPL_UNIX       char;
 %dcl MQPL_OS400      char;
 %dcl MQPL_WINDOWS    char;
 %dcl MQPL_WINDOWS_NT char;
 %dcl MQPL_VMS        char;
 %dcl MQPL_NSK        char;
 %MQPL_MVS        = '1';
 %MQPL_OS390      = '1';
 %MQPL_ZOS        = '1';
 %MQPL_OS2        = '2';
 %MQPL_AIX        = '3';
 %MQPL_UNIX       = '3';
 %MQPL_OS400      = '4';
 %MQPL_WINDOWS    = '5';
 %MQPL_WINDOWS_NT = '11';
 %MQPL_VMS        = '12';
 %MQPL_NSK        = '13';
                                                                       
 /* Syncpoint Availability */
 %dcl MQSP_AVAILABLE     char;
 %dcl MQSP_NOT_AVAILABLE char;
 %MQSP_AVAILABLE     = '1';
 %MQSP_NOT_AVAILABLE = '0';
                                                                       
                                                                       
 /********************************************************************/
 /*  MQAIR Structure -- Authentication Information Record            */
 /********************************************************************/
                                                                       
 dcl
  1 MQAIR based,
   3 StrucId            char(4)
       init(MQAIR_STRUC_ID),           /* Structure identifier */
   3 Version            fixed bin(31)
       init(MQAIR_VERSION_1),          /* Structure version number */
   3 AuthInfoType       fixed bin(31)
       init(MQAIT_CRL_LDAP),           /* Type of authentication
                                          information */
   3 AuthInfoConnName   char(264)
       init(''),                       /* Connection name of CRL LDAP
                                          server */
   3 LDAPUserNamePtr    pointer
       init(null()),                   /* Address of LDAP user name */
   3 LDAPUserNameOffset fixed bin(31)
       init(0),                        /* Offset of LDAP user name from
                                          start of MQAIR structure */
   3 LDAPUserNameLength fixed bin(31)
       init(0),                        /* Length of LDAP user name */
   3 LDAPPassword       char(32)
       init('');                       /* Password to access LDAP
                                          server */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQBO Structure -- Begin Options                                 */
 /********************************************************************/
                                                                       
 dcl
  1 MQBO based,
   3 StrucId char(4)
       init(MQBO_STRUC_ID), /* Structure identifier */
   3 Version fixed bin(31)
       init(MQBO_VERSION_1), /* Structure version number */
   3 Options fixed bin(31)
       init(MQBO_NONE);     /* Options that control the action of
                               MQBEGIN */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCIH Structure -- CICS Information Header                      */
 /********************************************************************/
                                                                       
 dcl
  1 MQCIH based,
   3 StrucId            char(4)
       init(MQCIH_STRUC_ID),           /* Structure identifier */
   3 Version            fixed bin(31)
       init(MQCIH_VERSION_2),          /* Structure version number */
   3 StrucLength        fixed bin(31)
       init(MQCIH_LENGTH_2),           /* Length of MQCIH structure */
   3 Encoding           fixed bin(31)
       init(0),                        /* Reserved */
   3 CodedCharSetId     fixed bin(31)
       init(0),                        /* Reserved */
   3 Format             char(8)
       init(MQFMT_NONE),               /* MQ format name of data that
                                          follows MQCIH */
   3 Flags              fixed bin(31)
       init(MQCIH_NONE),               /* Flags */
   3 ReturnCode         fixed bin(31)
       init(MQCRC_OK),                 /* Return code from bridge */
   3 CompCode           fixed bin(31)
       init(MQCC_OK),                  /* MQ completion code or CICS
                                          EIBRESP */
   3 Reason             fixed bin(31)
       init(MQRC_NONE),                /* MQ reason or feedback code,
                                          or CICS EIBRESP2 */
   3 UOWControl         fixed bin(31)
       init(MQCUOWC_ONLY),             /* Unit-of-work control */
   3 GetWaitInterval    fixed bin(31)
       init(MQCGWI_DEFAULT),           /* Wait interval for MQGET call
                                          issued by bridge task */
   3 LinkType           fixed bin(31)
       init(MQCLT_PROGRAM),            /* Link type */
   3 OutputDataLength   fixed bin(31)
       init(MQCODL_AS_INPUT),          /* Output COMMAREA data
                                          length */
   3 FacilityKeepTime   fixed bin(31)
       init(0),                        /* Bridge facility release
                                          time */
   3 ADSDescriptor      fixed bin(31)
       init(MQCADSD_NONE),             /* Send/receive ADS
                                          descriptor */
   3 ConversationalTask fixed bin(31)
       init(MQCCT_NO),                 /* Whether task can be
                                          conversational */
   3 TaskEndStatus      fixed bin(31)
       init(MQCTES_NOSYNC),            /* Status at end of task */
   3 Facility           char(8)
       init(MQCFAC_NONE),              /* Bridge facility token */
   3 Function           char(4)
       init(MQCFUNC_NONE),             /* MQ call name or CICS EIBFN
                                          function */
   3 AbendCode          char(4)
       init(''),                       /* Abend code */
   3 Authenticator      char(8)
       init(''),                       /* Password or passticket */
   3 Reserved1          char(8)
       init(''),                       /* Reserved */
   3 ReplyToFormat      char(8)
       init(MQFMT_NONE),               /* MQ format name of reply
                                          message */
   3 RemoteSysId        char(4)
       init(''),                       /* Reserved */
   3 RemoteTransId      char(4)
       init(''),                       /* Reserved */
   3 TransactionId      char(4)
       init(''),                       /* Transaction to attach */
   3 FacilityLike       char(4)
       init(''),                       /* Terminal emulated
                                          attributes */
   3 AttentionId        char(4)
       init(''),                       /* AID key */
   3 StartCode          char(4)
       init(MQCSC_NONE),               /* Transaction start code */
   3 CancelCode         char(4)
       init(''),                       /* Abend transaction code */
   3 NextTransactionId  char(4)
       init(''),                       /* Next transaction to attach */
   3 Reserved2          char(8)
       init(''),                       /* Reserved */
   3 Reserved3          char(8)
       init(''),                       /* Reserved */
   3 CursorPosition     fixed bin(31)
       init(0),                        /* Cursor position */
   3 ErrorOffset        fixed bin(31)
       init(0),                        /* Offset of error in message */
   3 InputItem          fixed bin(31)
       init(0),                        /* Reserved */
   3 Reserved4          fixed bin(31)
       init(0);                        /* Reserved */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQSCO Structure -- SSL Configuration Options                    */
 /********************************************************************/
                                                                       
 dcl
  1 MQSCO based,
   3 StrucId           char(4)
       init(MQSCO_STRUC_ID),          /* Structure identifier */
   3 Version           fixed bin(31)
       init(MQSCO_VERSION_1),         /* Structure version number */
   3 KeyRepository     char(256)
       init(''),                      /* Location of SSL key
                                         repository */
   3 CryptoHardware    char(256)
       init(''),                      /* Cryptographic hardware
                                         configuration string */
   3 AuthInfoRecCount  fixed bin(31)
       init(0),                       /* Number of MQAIR records
                                         present */
   3 AuthInfoRecOffset fixed bin(31)
       init(0),                       /* Offset of first MQAIR record
                                         from start of MQSCO
                                         structure */
   3 AuthInfoRecPtr    pointer
       init(null());                  /* Address of first MQAIR
                                         record */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCNO Structure -- Connect Options                              */
 /********************************************************************/
                                                                       
 dcl
  1 MQCNO based,
   3 StrucId          char(4)
       init(MQCNO_STRUC_ID),         /* Structure identifier */
   3 Version          fixed bin(31)
       init(MQCNO_VERSION_1),        /* Structure version number */
   3 Options          fixed bin(31)
       init(MQCNO_NONE),             /* Options that control the action
                                        of MQCONNX */
   3 ClientConnOffset fixed bin(31)
       init(0),                      /* Offset of MQCD structure for
                                        client connection */
   3 ClientConnPtr    pointer
       init(null()),                 /* Address of MQCD structure for
                                        client connection */
   3 ConnTag          char(128)
       init(MQCT_NONE),              /* Queue-manager connection tag */
   3 SSLConfigPtr     pointer
       init(null()),                 /* Address of MQSCO structure for
                                        client connection */
   3 SSLConfigOffset  fixed bin(31)
       init(0);                      /* Offset of MQSCO structure for
                                        client connection */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQDH Structure -- Distribution Header                           */
 /********************************************************************/
                                                                       
 dcl
  1 MQDH based,
   3 StrucId         char(4)
       init(MQDH_STRUC_ID),         /* Structure identifier */
   3 Version         fixed bin(31)
       init(MQDH_VERSION_1),        /* Structure version number */
   3 StrucLength     fixed bin(31)
       init(0),                     /* Length of MQDH structure plus
                                       following MQOR and MQPMR
                                       records */
   3 Encoding        fixed bin(31)
       init(0),                     /* Numeric encoding of data that
                                       follows the MQOR and MQPMR
                                       records */
   3 CodedCharSetId  fixed bin(31)
       init(MQCCSI_UNDEFINED),      /* Character set identifier of data
                                       that follows the MQOR and MQPMR
                                       records */
   3 Format          char(8)
       init(MQFMT_NONE),            /* Format name of data that follows
                                       the MQOR and MQPMR records */
   3 Flags           fixed bin(31)
       init(MQDHF_NONE),            /* General flags */
   3 PutMsgRecFields fixed bin(31)
       init(MQPMRF_NONE),           /* Flags indicating which MQPMR
                                       fields are present */
   3 RecsPresent     fixed bin(31)
       init(0),                     /* Number of MQOR records
                                       present */
   3 ObjectRecOffset fixed bin(31)
       init(0),                     /* Offset of first MQOR record from
                                       start of MQDH */
   3 PutMsgRecOffset fixed bin(31)
       init(0);                     /* Offset of first MQPMR record
                                       from start of MQDH */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQDLH Structure -- Dead Letter Header                           */
 /********************************************************************/
                                                                       
 dcl
  1 MQDLH based,
   3 StrucId        char(4)
       init(MQDLH_STRUC_ID),       /* Structure identifier */
   3 Version        fixed bin(31)
       init(MQDLH_VERSION_1),      /* Structure version number */
   3 Reason         fixed bin(31)
       init(MQRC_NONE),            /* Reason message arrived on
                                      dead-letter (undelivered-message)
                                      queue */
   3 DestQName      char(48)
       init(''),                   /* Name of original destination
                                      queue */
   3 DestQMgrName   char(48)
       init(''),                   /* Name of original destination
                                      queue manager */
   3 Encoding       fixed bin(31)
       init(0),                    /* Numeric encoding of data that
                                      follows MQDLH */
   3 CodedCharSetId fixed bin(31)
       init(MQCCSI_UNDEFINED),     /* Character set identifier of data
                                      that follows MQDLH */
   3 Format         char(8)
       init(MQFMT_NONE),           /* Format name of data that follows
                                      MQDLH */
   3 PutApplType    fixed bin(31)
       init(0),                    /* Type of application that put
                                      message on dead-letter
                                      (undelivered-message) queue */
   3 PutApplName    char(28)
       init(''),                   /* Name of application that put
                                      message on dead-letter
                                      (undelivered-message) queue */
   3 PutDate        char(8)
       init(''),                   /* Date when message was put on
                                      dead-letter (undelivered-message)
                                      queue */
   3 PutTime        char(8)
       init('');                   /* Time when message was put on the
                                      dead-letter (undelivered-message)
                                      queue */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQGMO Structure -- Get Message Options                          */
 /********************************************************************/
                                                                       
 dcl
  1 MQGMO based,
   3 StrucId        char(4)
       init(MQGMO_STRUC_ID),       /* Structure identifier */
   3 Version        fixed bin(31)
       init(MQGMO_VERSION_1),      /* Structure version number */
   3 Options        fixed bin(31)
       init(MQGMO_NO_WAIT),        /* Options that control the action
                                      of MQGET */
   3 WaitInterval   fixed bin(31)
       init(0),                    /* Wait interval */
   3 Signal1        fixed bin(31)
       init(0),                    /* Signal */
   3 Signal2        fixed bin(31)
       init(0),                    /* Signal identifier */
   3 ResolvedQName  char(48)
       init(''),                   /* Resolved name of destination
                                      queue */
   3 MatchOptions   fixed bin(31)
       init((MQMO_MATCH_MSG_ID+MQMO_MATCH_CORREL_ID)), /* Options
                                      controlling selection criteria
                                      used for MQGET */
   3 GroupStatus    char(1)
       init(MQGS_NOT_IN_GROUP),    /* Flag indicating whether message
                                      retrieved is in a group */
   3 SegmentStatus  char(1)
       init(MQSS_NOT_A_SEGMENT),   /* Flag indicating whether message
                                      retrieved is a segment of a
                                      logical message */
   3 Segmentation   char(1)
       init(MQSEG_INHIBITED),      /* Flag indicating whether further
                                      segmentation is allowed for the
                                      message retrieved */
   3 Reserved1      char(1)
       init(''),                   /* Reserved */
   3 MsgToken       char(16)
       init(MQMTOK_NONE),          /* Message token */
   3 ReturnedLength fixed bin(31)
       init(MQRL_UNDEFINED);       /* Length of message data returned
                                      (bytes) */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQIIH Structure -- IMS Information Header                       */
 /********************************************************************/
                                                                       
 dcl
  1 MQIIH based,
   3 StrucId        char(4)
       init(MQIIH_STRUC_ID),       /* Structure identifier */
   3 Version        fixed bin(31)
       init(MQIIH_VERSION_1),      /* Structure version number */
   3 StrucLength    fixed bin(31)
       init(MQIIH_LENGTH_1),       /* Length of MQIIH structure */
   3 Encoding       fixed bin(31)
       init(0),                    /* Reserved */
   3 CodedCharSetId fixed bin(31)
       init(0),                    /* Reserved */
   3 Format         char(8)
       init(MQFMT_NONE),           /* MQ format name of data that
                                      follows MQIIH */
   3 Flags          fixed bin(31)
       init(MQIIH_NONE),           /* Flags */
   3 LTermOverride  char(8)
       init(''),                   /* Logical terminal override */
   3 MFSMapName     char(8)
       init(''),                   /* Message format services map
                                      name */
   3 ReplyToFormat  char(8)
       init(MQFMT_NONE),           /* MQ format name of reply
                                      message */
   3 Authenticator  char(8)
       init(MQIAUT_NONE),          /* RACF password or passticket */
   3 TranInstanceId char(16)
       init(MQITII_NONE),          /* Transaction instance
                                      identifier */
   3 TranState      char(1)
       init(MQITS_NOT_IN_CONVERSATION), /* Transaction state */
   3 CommitMode     char(1)
       init(MQICM_COMMIT_THEN_SEND), /* Commit mode */
   3 SecurityScope  char(1)
       init(MQISS_CHECK),          /* Security scope */
   3 Reserved       char(1)
       init('');                   /* Reserved */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQMD Structure -- Message Descriptor                            */
 /********************************************************************/
                                                                       
 dcl
  1 MQMD based,
   3 StrucId          char(4)
       init(MQMD_STRUC_ID),          /* Structure identifier */
   3 Version          fixed bin(31)
       init(MQMD_VERSION_1),         /* Structure version number */
   3 Report           fixed bin(31)
       init(MQRO_NONE),              /* Options for report messages */
   3 MsgType          fixed bin(31)
       init(MQMT_DATAGRAM),          /* Message type */
   3 Expiry           fixed bin(31)
       init(MQEI_UNLIMITED),         /* Message lifetime */
   3 Feedback         fixed bin(31)
       init(MQFB_NONE),              /* Feedback or reason code */
   3 Encoding         fixed bin(31)
       init(MQENC_NATIVE),           /* Numeric encoding of message
                                        data */
   3 CodedCharSetId   fixed bin(31)
       init(MQCCSI_Q_MGR),           /* Character set identifier of
                                        message data */
   3 Format           char(8)
       init(MQFMT_NONE),             /* Format name of message data */
   3 Priority         fixed bin(31)
       init(MQPRI_PRIORITY_AS_Q_DEF), /* Message priority */
   3 Persistence      fixed bin(31)
       init(MQPER_PERSISTENCE_AS_Q_DEF), /* Message persistence */
   3 MsgId            char(24)
       init(MQMI_NONE),              /* Message identifier */
   3 CorrelId         char(24)
       init(MQCI_NONE),              /* Correlation identifier */
   3 BackoutCount     fixed bin(31)
       init(0),                      /* Backout counter */
   3 ReplyToQ         char(48)
       init(''),                     /* Name of reply queue */
   3 ReplyToQMgr      char(48)
       init(''),                     /* Name of reply queue manager */
   3 UserIdentifier   char(12)
       init(''),                     /* User identifier */
   3 AccountingToken  char(32)
       init(MQACT_NONE),             /* Accounting token */
   3 ApplIdentityData char(32)
       init(''),                     /* Application data relating to
                                        identity */
   3 PutApplType      fixed bin(31)
       init(MQAT_NO_CONTEXT),        /* Type of application that put
                                        the message */
   3 PutApplName      char(28)
       init(''),                     /* Name of application that put
                                        the message */
   3 PutDate          char(8)
       init(''),                     /* Date when message was put */
   3 PutTime          char(8)
       init(''),                     /* Time when message was put */
   3 ApplOriginData   char(4)
       init(''),                     /* Application data relating to
                                        origin */
   3 GroupId          char(24)
       init(MQGI_NONE),              /* Group identifier */
   3 MsgSeqNumber     fixed bin(31)
       init(1),                      /* Sequence number of logical
                                        message within group */
   3 Offset           fixed bin(31)
       init(0),                      /* Offset of data in physical
                                        message from start of logical
                                        message */
   3 MsgFlags         fixed bin(31)
       init(MQMF_NONE),              /* Message flags */
   3 OriginalLength   fixed bin(31)
       init(MQOL_UNDEFINED);         /* Length of original message */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQMDE Structure -- Message Descriptor Extension                 */
 /********************************************************************/
                                                                       
 dcl
  1 MQMDE based,
   3 StrucId        char(4)
       init(MQMDE_STRUC_ID),       /* Structure identifier */
   3 Version        fixed bin(31)
       init(MQMDE_VERSION_2),      /* Structure version number */
   3 StrucLength    fixed bin(31)
       init(MQMDE_LENGTH_2),       /* Length of MQMDE structure */
   3 Encoding       fixed bin(31)
       init(MQENC_NATIVE),         /* Numeric encoding of data that
                                      follows MQMDE */
   3 CodedCharSetId fixed bin(31)
       init(MQCCSI_UNDEFINED),     /* Character-set identifier of data
                                      that follows MQMDE */
   3 Format         char(8)
       init(MQFMT_NONE),           /* Format name of data that follows
                                      MQMDE */
   3 Flags          fixed bin(31)
       init(MQMDEF_NONE),          /* General flags */
   3 GroupId        char(24)
       init(MQGI_NONE),            /* Group identifier */
   3 MsgSeqNumber   fixed bin(31)
       init(1),                    /* Sequence number of logical
                                      message within group */
   3 Offset         fixed bin(31)
       init(0),                    /* Offset of data in physical
                                      message from start of logical
                                      message */
   3 MsgFlags       fixed bin(31)
       init(MQMF_NONE),            /* Message flags */
   3 OriginalLength fixed bin(31)
       init(MQOL_UNDEFINED);       /* Length of original message */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQMD1 Structure -- Version-1 Message Descriptor                 */
 /********************************************************************/
                                                                       
 dcl
  1 MQMD1 based,
   3 StrucId          char(4)
       init(MQMD_STRUC_ID),          /* Structure identifier */
   3 Version          fixed bin(31)
       init(MQMD_VERSION_1),         /* Structure version number */
   3 Report           fixed bin(31)
       init(MQRO_NONE),              /* Report options */
   3 MsgType          fixed bin(31)
       init(MQMT_DATAGRAM),          /* Message type */
   3 Expiry           fixed bin(31)
       init(MQEI_UNLIMITED),         /* Expiry time */
   3 Feedback         fixed bin(31)
       init(MQFB_NONE),              /* Feedback or reason code */
   3 Encoding         fixed bin(31)
       init(MQENC_NATIVE),           /* Numeric encoding of message
                                        data */
   3 CodedCharSetId   fixed bin(31)
       init(MQCCSI_Q_MGR),           /* Character set identifier of
                                        message data */
   3 Format           char(8)
       init(MQFMT_NONE),             /* Format name of message data */
   3 Priority         fixed bin(31)
       init(MQPRI_PRIORITY_AS_Q_DEF), /* Message priority */
   3 Persistence      fixed bin(31)
       init(MQPER_PERSISTENCE_AS_Q_DEF), /* Message persistence */
   3 MsgId            char(24)
       init(MQMI_NONE),              /* Message identifier */
   3 CorrelId         char(24)
       init(MQCI_NONE),              /* Correlation identifier */
   3 BackoutCount     fixed bin(31)
       init(0),                      /* Backout counter */
   3 ReplyToQ         char(48)
       init(''),                     /* Name of reply-to queue */
   3 ReplyToQMgr      char(48)
       init(''),                     /* Name of reply queue manager */
   3 UserIdentifier   char(12)
       init(''),                     /* User identifier */
   3 AccountingToken  char(32)
       init(MQACT_NONE),             /* Accounting token */
   3 ApplIdentityData char(32)
       init(''),                     /* Application data relating to
                                        identity */
   3 PutApplType      fixed bin(31)
       init(MQAT_NO_CONTEXT),        /* Type of application that put
                                        the message */
   3 PutApplName      char(28)
       init(''),                     /* Name of application that put
                                        the message */
   3 PutDate          char(8)
       init(''),                     /* Date when message was put */
   3 PutTime          char(8)
       init(''),                     /* Time when message was put */
   3 ApplOriginData   char(4)
       init('');                     /* Application data relating to
                                        origin */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQOD Structure -- Object Descriptor                             */
 /********************************************************************/
                                                                       
 dcl
  1 MQOD based,
   3 StrucId             char(4)
       init(MQOD_STRUC_ID),             /* Structure identifier */
   3 Version             fixed bin(31)
       init(MQOD_VERSION_1),            /* Structure version number */
   3 ObjectType          fixed bin(31)
       init(MQOT_Q),                    /* Object type */
   3 ObjectName          char(48)
       init(''),                        /* Object name */
   3 ObjectQMgrName      char(48)
       init(''),                        /* Object queue manager name */
   3 DynamicQName        char(48)
       init('AMQ.*'),                   /* Dynamic queue name */
   3 AlternateUserId     char(12)
       init(''),                        /* Alternate user identifier */
   3 RecsPresent         fixed bin(31)
       init(0),                         /* Number of object records
                                           present */
   3 KnownDestCount      fixed bin(31)
       init(0),                         /* Number of local queues
                                           opened successfully */
   3 UnknownDestCount    fixed bin(31)
       init(0),                         /* Number of remote queues
                                           opened successfully */
   3 InvalidDestCount    fixed bin(31)
       init(0),                         /* Number of queues that failed
                                           to open */
   3 ObjectRecOffset     fixed bin(31)
       init(0),                         /* Offset of first object
                                           record from start of MQOD */
   3 ResponseRecOffset   fixed bin(31)
       init(0),                         /* Offset of first response
                                           record from start of MQOD */
   3 ObjectRecPtr        pointer
       init(null()),                    /* Address of first object
                                           record */
   3 ResponseRecPtr      pointer
       init(null()),                    /* Address of first response
                                           record */
   3 AlternateSecurityId char(40)
       init(MQSID_NONE),                /* Alternate security
                                           identifier */
   3 ResolvedQName       char(48)
       init(''),                        /* Resolved queue name */
   3 ResolvedQMgrName    char(48)
       init('');                        /* Resolved queue manager
                                           name */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQOR Structure -- Object Record                                 */
 /********************************************************************/
                                                                       
 dcl
  1 MQOR based,
   3 ObjectName     char(48)
       init(''),              /* Object name */
   3 ObjectQMgrName char(48)
       init('');              /* Object queue manager name */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQPMO Structure -- Put Message Options                          */
 /********************************************************************/
                                                                       
 dcl
  1 MQPMO based,
   3 StrucId           char(4)
       init(MQPMO_STRUC_ID),          /* Structure identifier */
   3 Version           fixed bin(31)
       init(MQPMO_VERSION_1),         /* Structure version number */
   3 Options           fixed bin(31)
       init(MQPMO_NONE),              /* Options that control the
                                         action of MQPUT and MQPUT1 */
   3 Timeout           fixed bin(31)
       init(-1),                      /* Reserved */
   3 Context           fixed bin(31)
       init(0),                       /* Object handle of input
                                         queue */
   3 KnownDestCount    fixed bin(31)
       init(0),                       /* Number of messages sent
                                         successfully to local
                                         queues */
   3 UnknownDestCount  fixed bin(31)
       init(0),                       /* Number of messages sent
                                         successfully to remote
                                         queues */
   3 InvalidDestCount  fixed bin(31)
       init(0),                       /* Number of messages that could
                                         not be sent */
   3 ResolvedQName     char(48)
       init(''),                      /* Resolved name of destination
                                         queue */
   3 ResolvedQMgrName  char(48)
       init(''),                      /* Resolved name of destination
                                         queue manager */
   3 RecsPresent       fixed bin(31)
       init(0),                       /* Number of put message records
                                         or response records present */
   3 PutMsgRecFields   fixed bin(31)
       init(MQPMRF_NONE),             /* Flags indicating which MQPMR
                                         fields are present */
   3 PutMsgRecOffset   fixed bin(31)
       init(0),                       /* Offset of first put message
                                         record from start of MQPMO */
   3 ResponseRecOffset fixed bin(31)
       init(0),                       /* Offset of first response
                                         record from start of MQPMO */
   3 PutMsgRecPtr      pointer
       init(null()),                  /* Address of first put message
                                         record */
   3 ResponseRecPtr    pointer
       init(null());                  /* Address of first response
                                         record */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQRFH Structure -- Rules and Formatting Header                  */
 /********************************************************************/
                                                                       
 dcl
  1 MQRFH based,
   3 StrucId        char(4)
       init(MQRFH_STRUC_ID),       /* Structure identifier */
   3 Version        fixed bin(31)
       init(MQRFH_VERSION_1),      /* Structure version number */
   3 StrucLength    fixed bin(31)
       init(MQRFH_STRUC_LENGTH_FIXED), /* Total length of MQRFH
                                      including NameValueString */
   3 Encoding       fixed bin(31)
       init(MQENC_NATIVE),         /* Numeric encoding of data that
                                      follows NameValueString */
   3 CodedCharSetId fixed bin(31)
       init(MQCCSI_UNDEFINED),     /* Character set identifier of data
                                      that follows NameValueString */
   3 Format         char(8)
       init(MQFMT_NONE),           /* Format name of data that follows
                                      NameValueString */
   3 Flags          fixed bin(31)
       init(MQRFH_NONE);           /* Flags */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQRFH2 Structure -- Rules and Formatting Header 2               */
 /********************************************************************/
                                                                       
 dcl
  1 MQRFH2 based,
   3 StrucId        char(4)
       init(MQRFH_STRUC_ID),       /* Structure identifier */
   3 Version        fixed bin(31)
       init(MQRFH_VERSION_2),      /* Structure version number */
   3 StrucLength    fixed bin(31)
       init(MQRFH_STRUC_LENGTH_FIXED_2), /* Total length of MQRFH2
                                      including all NameValueLength and
                                      NameValueData fields */
   3 Encoding       fixed bin(31)
       init(MQENC_NATIVE),         /* Numeric encoding of data that
                                      follows last NameValueData
                                      field */
   3 CodedCharSetId fixed bin(31)
       init(MQCCSI_INHERIT),       /* Character set identifier of data
                                      that follows last NameValueData
                                      field */
   3 Format         char(8)
       init(MQFMT_NONE),           /* Format name of data that follows
                                      last NameValueData field */
   3 Flags          fixed bin(31)
       init(MQRFH_NONE),           /* Flags */
   3 NameValueCCSID fixed bin(31)
       init(1208);                 /* Character set identifier of
                                      NameValueData */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQRMH Structure -- Reference Message Header                     */
 /********************************************************************/
                                                                       
 dcl
  1 MQRMH based,
   3 StrucId            char(4)
       init(MQRMH_STRUC_ID),           /* Structure identifier */
   3 Version            fixed bin(31)
       init(MQRMH_VERSION_1),          /* Structure version number */
   3 StrucLength        fixed bin(31)
       init(0),                        /* Total length of MQRMH,
                                          including strings at end of
                                          fixed fields, but not the
                                          bulk data */
   3 Encoding           fixed bin(31)
       init(MQENC_NATIVE),             /* Numeric encoding of bulk
                                          data */
   3 CodedCharSetId     fixed bin(31)
       init(MQCCSI_UNDEFINED),         /* Character set identifier of
                                          bulk data */
   3 Format             char(8)
       init(MQFMT_NONE),               /* Format name of bulk data */
   3 Flags              fixed bin(31)
       init(MQRMHF_NOT_LAST),          /* Reference message flags */
   3 ObjectType         char(8)
       init(''),                       /* Object type */
   3 ObjectInstanceId   char(24)
       init(MQOII_NONE),               /* Object instance identifier */
   3 SrcEnvLength       fixed bin(31)
       init(0),                        /* Length of source environment
                                          data */
   3 SrcEnvOffset       fixed bin(31)
       init(0),                        /* Offset of source environment
                                          data */
   3 SrcNameLength      fixed bin(31)
       init(0),                        /* Length of source object
                                          name */
   3 SrcNameOffset      fixed bin(31)
       init(0),                        /* Offset of source object
                                          name */
   3 DestEnvLength      fixed bin(31)
       init(0),                        /* Length of destination
                                          environment data */
   3 DestEnvOffset      fixed bin(31)
       init(0),                        /* Offset of destination
                                          environment data */
   3 DestNameLength     fixed bin(31)
       init(0),                        /* Length of destination object
                                          name */
   3 DestNameOffset     fixed bin(31)
       init(0),                        /* Offset of destination object
                                          name */
   3 DataLogicalLength  fixed bin(31)
       init(0),                        /* Length of bulk data */
   3 DataLogicalOffset  fixed bin(31)
       init(0),                        /* Low offset of bulk data */
   3 DataLogicalOffset2 fixed bin(31)
       init(0);                        /* High offset of bulk data */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQRR Structure -- Response Record                               */
 /********************************************************************/
                                                                       
 dcl
  1 MQRR based,
   3 CompCode fixed bin(31)
       init(MQCC_OK),        /* Completion code for queue */
   3 Reason   fixed bin(31)
       init(MQRC_NONE);      /* Reason code for queue */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQTM Structure -- Trigger Message                               */
 /********************************************************************/
                                                                       
 dcl
  1 MQTM based,
   3 StrucId     char(4)
       init(MQTM_STRUC_ID),     /* Structure identifier */
   3 Version     fixed bin(31)
       init(MQTM_VERSION_1),    /* Structure version number */
   3 QName       char(48)
       init(''),                /* Name of triggered queue */
   3 ProcessName char(48)
       init(''),                /* Name of process object */
   3 TriggerData char(64)
       init(''),                /* Trigger data */
   3 ApplType    fixed bin(31)
       init(0),                 /* Application type */
   3 ApplId      char(256)
       init(''),                /* Application identifier */
   3 EnvData     char(128)
       init(''),                /* Environment data */
   3 UserData    char(128)
       init('');                /* User data */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQTMC2 Structure -- Trigger Message 2 (Character)               */
 /********************************************************************/
                                                                       
 dcl
  1 MQTMC2 based,
   3 StrucId     char(4)
       init(MQTMC_STRUC_ID), /* Structure identifier */
   3 Version     char(4)
       init(MQTMC_VERSION_2), /* Structure version number */
   3 QName       char(48)
       init(''),            /* Name of triggered queue */
   3 ProcessName char(48)
       init(''),            /* Name of process object */
   3 TriggerData char(64)
       init(''),            /* Trigger data */
   3 ApplType    char(4)
       init(''),            /* Application type */
   3 ApplId      char(256)
       init(''),            /* Application identifier */
   3 EnvData     char(128)
       init(''),            /* Environment data */
   3 UserData    char(128)
       init(''),            /* User data */
   3 QMgrName    char(48)
       init('');            /* Queue manager name */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQWIH Structure -- Work Information Header                      */
 /********************************************************************/
                                                                       
 dcl
  1 MQWIH based,
   3 StrucId        char(4)
       init(MQWIH_STRUC_ID),       /* Structure identifier */
   3 Version        fixed bin(31)
       init(MQWIH_VERSION_1),      /* Structure version number */
   3 StrucLength    fixed bin(31)
       init(MQWIH_LENGTH_1),       /* Length of MQWIH structure */
   3 Encoding       fixed bin(31)
       init(0),                    /* Numeric encoding of data that
                                      follows MQWIH */
   3 CodedCharSetId fixed bin(31)
       init(MQCCSI_UNDEFINED),     /* Character-set identifier of data
                                      that follows MQWIH */
   3 Format         char(8)
       init(MQFMT_NONE),           /* Format name of data that follows
                                      MQWIH */
   3 Flags          fixed bin(31)
       init(MQWIH_NONE),           /* Flags */
   3 ServiceName    char(32)
       init(''),                   /* Service name */
   3 ServiceStep    char(8)
       init(''),                   /* Service step name */
   3 MsgToken       char(16)
       init(MQMTOK_NONE),          /* Message token */
   3 Reserved       char(32)
       init('');                   /* Reserved */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQXQH Structure -- Transmission Queue Header                    */
 /********************************************************************/
                                                                       
 dcl
  1 MQXQH based,
   3 StrucId           char(4)
       init(MQXQH_STRUC_ID),          /* Structure identifier */
   3 Version           fixed bin(31)
       init(MQXQH_VERSION_1),         /* Structure version number */
   3 RemoteQName       char(48)
       init(''),                      /* Name of destination queue */
   3 RemoteQMgrName    char(48)
       init(''),                      /* Name of destination queue
                                         manager */
   3 MsgDesc,                         /* Original message descriptor */
    5 StrucId          char(4)
        init(MQMD_STRUC_ID),          /* Structure identifier */
    5 Version          fixed bin(31)
        init(MQMD_VERSION_1),         /* Structure version number */
    5 Report           fixed bin(31)
        init(MQRO_NONE),              /* Report options */
    5 MsgType          fixed bin(31)
        init(MQMT_DATAGRAM),          /* Message type */
    5 Expiry           fixed bin(31)
        init(MQEI_UNLIMITED),         /* Expiry time */
    5 Feedback         fixed bin(31)
        init(MQFB_NONE),              /* Feedback or reason code */
    5 Encoding         fixed bin(31)
        init(MQENC_NATIVE),           /* Numeric encoding of message
                                         data */
    5 CodedCharSetId   fixed bin(31)
        init(MQCCSI_Q_MGR),           /* Character set identifier of
                                         message data */
    5 Format           char(8)
        init(MQFMT_NONE),             /* Format name of message data */
    5 Priority         fixed bin(31)
        init(MQPRI_PRIORITY_AS_Q_DEF), /* Message priority */
    5 Persistence      fixed bin(31)
        init(MQPER_PERSISTENCE_AS_Q_DEF), /* Message persistence */
    5 MsgId            char(24)
        init(MQMI_NONE),              /* Message identifier */
    5 CorrelId         char(24)
        init(MQCI_NONE),              /* Correlation identifier */
    5 BackoutCount     fixed bin(31)
        init(0),                      /* Backout counter */
    5 ReplyToQ         char(48)
        init(''),                     /* Name of reply-to queue */
    5 ReplyToQMgr      char(48)
        init(''),                     /* Name of reply queue manager */
    5 UserIdentifier   char(12)
        init(''),                     /* User identifier */
    5 AccountingToken  char(32)
        init(MQACT_NONE),             /* Accounting token */
    5 ApplIdentityData char(32)
        init(''),                     /* Application data relating to
                                         identity */
    5 PutApplType      fixed bin(31)
        init(MQAT_NO_CONTEXT),        /* Type of application that put
                                         the message */
    5 PutApplName      char(28)
        init(''),                     /* Name of application that put
                                         the message */
    5 PutDate          char(8)
        init(''),                     /* Date when message was put */
    5 PutTime          char(8)
        init(''),                     /* Time when message was put */
    5 ApplOriginData   char(4)
        init('');                     /* Application data relating to
                                         origin */
                                                                       
                                                                       
 /********************************************************************/
 /*  End of CMQP                                                     */
 /********************************************************************/
