      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQXQHL                                     **
      **                                                              **
      **  DESCRIPTION:    Transmission Queue Header Structure         **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1993, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQXQH,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQXQH structure
        10 MQXQH.
      **    Structure identifier
         15 MQXQH-STRUCID                  PIC X(4).
      **    Structure version number
         15 MQXQH-VERSION                  PIC S9(9) BINARY.
      **    Name of destination queue
         15 MQXQH-REMOTEQNAME              PIC X(48).
      **    Name of destination queue manager
         15 MQXQH-REMOTEQMGRNAME           PIC X(48).
      **    Original message descriptor
         15 MQXQH-MSGDESC.
      **     Structure identifier
          20 MQXQH-MSGDESC-STRUCID          PIC X(4).
      **     Structure version number
          20 MQXQH-MSGDESC-VERSION          PIC S9(9) BINARY.
      **     Report options
          20 MQXQH-MSGDESC-REPORT           PIC S9(9) BINARY.
      **     Message type
          20 MQXQH-MSGDESC-MSGTYPE          PIC S9(9) BINARY.
      **     Expiry time
          20 MQXQH-MSGDESC-EXPIRY           PIC S9(9) BINARY.
      **     Feedback or reason code
          20 MQXQH-MSGDESC-FEEDBACK         PIC S9(9) BINARY.
      **     Numeric encoding of message data
          20 MQXQH-MSGDESC-ENCODING         PIC S9(9) BINARY.
      **     Character set identifier of message data
          20 MQXQH-MSGDESC-CODEDCHARSETID   PIC S9(9) BINARY.
      **     Format name of message data
          20 MQXQH-MSGDESC-FORMAT           PIC X(8).
      **     Message priority
          20 MQXQH-MSGDESC-PRIORITY         PIC S9(9) BINARY.
      **     Message persistence
          20 MQXQH-MSGDESC-PERSISTENCE      PIC S9(9) BINARY.
      **     Message identifier
          20 MQXQH-MSGDESC-MSGID            PIC X(24).
      **     Correlation identifier
          20 MQXQH-MSGDESC-CORRELID         PIC X(24).
      **     Backout counter
          20 MQXQH-MSGDESC-BACKOUTCOUNT     PIC S9(9) BINARY.
      **     Name of reply-to queue
          20 MQXQH-MSGDESC-REPLYTOQ         PIC X(48).
      **     Name of reply queue manager
          20 MQXQH-MSGDESC-REPLYTOQMGR      PIC X(48).
      **     User identifier
          20 MQXQH-MSGDESC-USERIDENTIFIER   PIC X(12).
      **     Accounting token
          20 MQXQH-MSGDESC-ACCOUNTINGTOKEN  PIC X(32).
      **     Application data relating to identity
          20 MQXQH-MSGDESC-APPLIDENTITYDATA PIC X(32).
      **     Type of application that put the message
          20 MQXQH-MSGDESC-PUTAPPLTYPE      PIC S9(9) BINARY.
      **     Name of application that put the message
          20 MQXQH-MSGDESC-PUTAPPLNAME      PIC X(28).
      **     Date when message was put
          20 MQXQH-MSGDESC-PUTDATE          PIC X(8).
      **     Time when message was put
          20 MQXQH-MSGDESC-PUTTIME          PIC X(8).
      **     Application data relating to origin
          20 MQXQH-MSGDESC-APPLORIGINDATA   PIC X(4).
 
      ******************************************************************
      **  End of CMQXQHL                                              **
      ******************************************************************
